#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(af_alg_register_type, 0x63df4881, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x4d8ece08, "_gpl");
SYMBOL_CRC(af_alg_release, 0x5fcdfa05, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0xa60a64fc, "_gpl");
SYMBOL_CRC(af_alg_accept, 0xb61b2ef9, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0xb310349c, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xfcf7331c, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xc89d88d2, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x5dd1a64e, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0xae83388b, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xec3b2e57, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x4d11e397, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xb21786e5, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xad6bdb48, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xce807a25, "up_write" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x37a0cba, "kfree" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x282ff564, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x73da84b5, "extract_iter_to_sg" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xf9b56dad, "module_put" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3bf1021d, "release_sock" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0x4de80b69, "sock_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xfe21542d, "sock_wake_async" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xfae29be8, "sock_kfree_s" },
	{ 0xee08504b, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x2a3a3942, "sock_kzfree_s" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xe653bd32, "key_put" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdcb764ad, "memset" },
	{ 0xdf3e4bce, "sock_no_connect" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0x7dcfa7b6, "sock_no_getname" },
	{ 0xbdc39497, "sock_no_ioctl" },
	{ 0x9d4707a2, "sock_no_listen" },
	{ 0x839226b4, "sock_no_shutdown" },
	{ 0x9519f2d7, "sock_no_sendmsg" },
	{ 0x3edbe058, "sock_no_recvmsg" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F8A928225DC9354E89634B");

MODULE_INFO(suserelease, "SLE15-SP6");
