#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xd00e1bf7, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x567db475, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x06a6e65a, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x55f8fef1, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xc8e2e4fc, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0xb9355917, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xdfcea998, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x9c6ec8d9, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xfd12eac1, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x72174b94, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x64233ad9, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x0a78694c, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x1e199cde, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xdd7abfdd, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xef53a8a3, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x425e30ec, "kthread_queue_work" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0x79130f8b, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x91b0d5b8, "kthread_create_worker" },
	{ 0xe3d74559, "_dev_info" },
	{ 0x1106f8eb, "sched_set_fifo" },
	{ 0xf9a482f9, "msleep" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x9921040c, "kthread_destroy_worker" },
	{ 0x95875ffe, "crypto_enqueue_request" },
	{ 0x6db70670, "crypto_dequeue_request" },
	{ 0x823614bd, "crypto_enqueue_request_head" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1B26E4A6A17DA4EF3D4A6E1");

MODULE_INFO(suserelease, "SLE15-SP6");
