#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0xe4f1a5e8, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x0b340624, "_gpl");
SYMBOL_CRC(ahci_ops, 0x50f08c9a, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0xbb92de08, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x7314eda3, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x1cf12dde, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0x469aae65, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x4cf986dd, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x4a74be63, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x5370200a, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x98b95ec9, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0xc112aa3d, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x8d4c0f37, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xc9516fe2, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0xe2e69d42, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x276dec61, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0x51a08e72, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xfa3b2c8b, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x1902e002, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0xf43cc59e, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xdea50175, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x60f1dcb2, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xe00284b7, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xf6ad7081, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xc72ad689, "ata_link_next" },
	{ 0xe3d74559, "_dev_info" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x61d07d58, "ata_std_qc_defer" },
	{ 0x5bd71986, "sata_pmp_qc_defer_cmd_switch" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe296ca29, "sata_pmp_error_handler" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x1605e4af, "ata_host_start" },
	{ 0x2f7eae73, "devm_request_threaded_irq" },
	{ 0xf0be3523, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x4b7c56ce, "ata_host_register" },
	{ 0x5c951441, "ata_host_activate" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0xc385919f, "ata_port_classify" },
	{ 0x974a3f2d, "__pm_runtime_resume" },
	{ 0x4a906030, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xee69d56c, "ata_std_postreset" },
	{ 0xafa5b364, "__dynamic_dev_dbg" },
	{ 0x4fdc945d, "sata_deb_timing_normal" },
	{ 0xcccfb2fa, "sata_deb_timing_hotplug" },
	{ 0xc73a56dd, "sata_link_hardreset" },
	{ 0xa06efa50, "ata_wait_register" },
	{ 0x9d37cbfa, "ata_dummy_port_ops" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xafdf353, "ata_dev_set_feature" },
	{ 0x884603c8, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0x8df12e97, "ata_msleep" },
	{ 0xa509f836, "ata_port_freeze" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc64820ab, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb744fb70, "ata_qc_complete_multiple" },
	{ 0xa5918a54, "sata_link_scr_lpm" },
	{ 0x79130f8b, "devm_kmalloc" },
	{ 0x97d5bcbc, "dmam_alloc_attrs" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf4c29895, "devm_kfree" },
	{ 0xf201822d, "sata_lpm_ignore_phy_events" },
	{ 0x85e8203e, "sata_async_notification" },
	{ 0xecd4ac54, "ata_ehi_clear_desc" },
	{ 0x6b745e9f, "ata_ehi_push_desc" },
	{ 0x65a0e244, "ata_port_abort" },
	{ 0xb0846457, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa18cf890, "sata_pmp_port_ops" },
	{ 0xd7e8bb9f, "dev_attr_sw_activity" },
	{ 0xc5f57f21, "dev_attr_unload_heads" },
	{ 0x43a2f355, "dev_attr_ncq_prio_supported" },
	{ 0xc0727679, "dev_attr_ncq_prio_enable" },
	{ 0xaace85f4, "dev_attr_link_power_management_policy" },
	{ 0x1851b1aa, "dev_attr_em_message_type" },
	{ 0x19d809cc, "dev_attr_em_message" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "E4696F00767B0CE1D8A98D6");

MODULE_INFO(suserelease, "SLE15-SP6");
