#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96f0efec, "tpm_chip_unregister" },
	{ 0xa00b0b1b, "tpm_tis_remove" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x13ca26bc, "acpi_match_device" },
	{ 0x16cdc340, "acpi_get_table" },
	{ 0x92b99a33, "acpi_put_table" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0x2e6ebf31, "pnp_unregister_driver" },
	{ 0x5d28bd46, "platform_driver_unregister" },
	{ 0xed7c86f7, "platform_device_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0x79130f8b, "devm_kmalloc" },
	{ 0xf253a3c0, "devm_ioremap_resource" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x35df64c6, "is_acpi_device_node" },
	{ 0x620878e4, "tpm_tis_core_init" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2f6163a6, "pnp_get_resource" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x75311fbb, "__platform_driver_register" },
	{ 0x2c08fb64, "pnp_register_driver" },
	{ 0x29c536ba, "platform_get_resource" },
	{ 0xdacd2653, "platform_get_irq_optional" },
	{ 0x389e5c9f, "tpm_pm_suspend" },
	{ 0xb2871b05, "tpm_tis_resume" },
	{ 0x20272a9f, "param_ops_string" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "tpm_tis_core");

MODULE_ALIAS("of:N*T*Ctcg,tpm-tis-mmio");
MODULE_ALIAS("of:N*T*Ctcg,tpm-tis-mmioC*");
MODULE_ALIAS("pnp:dPNP0C31*");
MODULE_ALIAS("acpi*:PNP0C31:*");
MODULE_ALIAS("pnp:dATM1200*");
MODULE_ALIAS("acpi*:ATM1200:*");
MODULE_ALIAS("pnp:dIFX0102*");
MODULE_ALIAS("acpi*:IFX0102:*");
MODULE_ALIAS("pnp:dBCM0101*");
MODULE_ALIAS("acpi*:BCM0101:*");
MODULE_ALIAS("pnp:dBCM0102*");
MODULE_ALIAS("acpi*:BCM0102:*");
MODULE_ALIAS("pnp:dNSC1200*");
MODULE_ALIAS("acpi*:NSC1200:*");
MODULE_ALIAS("pnp:dICO0102*");
MODULE_ALIAS("acpi*:ICO0102:*");
MODULE_ALIAS("pnp:d*");
MODULE_ALIAS("acpi*::*");
MODULE_ALIAS("acpi*:MSFT0101:*");

MODULE_INFO(srcversion, "D7D1026A049BF82ABE137AA");

MODULE_INFO(suserelease, "SLE15-SP6");
