#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xd63698d2, "");
SYMBOL_CRC(ib_destroy_cm_id, 0x1e9c8e9f, "");
SYMBOL_CRC(ib_cm_listen, 0x932ed0fd, "");
SYMBOL_CRC(ib_cm_insert_listen, 0x60eea71e, "");
SYMBOL_CRC(ib_send_cm_req, 0x6be7dd7e, "");
SYMBOL_CRC(ib_send_cm_rep, 0x18dff063, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x60a4685a, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x9e702843, "");
SYMBOL_CRC(ib_send_cm_drep, 0x609a017a, "");
SYMBOL_CRC(ib_send_cm_rej, 0x29342949, "");
SYMBOL_CRC(ib_send_cm_mra, 0x34dad33d, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xc0a5c1ef, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xad1659f1, "");
SYMBOL_CRC(ib_cm_notify, 0x3489a74c, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0xf179b481, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x45c551fc, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe36df71a, "ib_init_ah_attr_from_path" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa6257a2f, "complete" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3859f9dc, "rdma_query_gid" },
	{ 0x2de3ce, "ib_port_register_client_groups" },
	{ 0xb13a5e56, "ib_modify_port" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xe35860e7, "rdma_create_ah" },
	{ 0xa810f7db, "ib_init_ah_attr_from_wc" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xa2a4df8a, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0xb426369d, "ib_register_client" },
	{ 0xe9f29256, "ib_unregister_mad_agent" },
	{ 0xf544189d, "ib_post_send_mad" },
	{ 0x98aef94, "ib_create_send_mad" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x7de1d0dc, "rdma_destroy_ah_attr" },
	{ 0xf985f98, "ib_set_client_data" },
	{ 0x700e089, "ib_get_cached_pkey" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa6239fe5, "rdma_put_gid_attr" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3ef07364, "rdma_destroy_ah_user" },
	{ 0xf845d1a9, "ib_free_send_mad" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xb59c98e6, "ib_port_unregister_client_groups" },
	{ 0x745a981, "xa_erase" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x5eedf716, "rdma_move_ah_attr" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x4dd9fa4f, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8f43a280, "ib_free_recv_mad" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x761127f0, "ib_register_mad_agent" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x86c348a3, "ib_modify_mad" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xa7857f7f, "ib_create_ah_from_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "69CE627D45041345621FB15");

MODULE_INFO(suserelease, "SLE15-SP6");
