#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xd0523bf4, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0xb1e755bd, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xcaeb55a0, "");
SYMBOL_CRC(rdma_res_to_id, 0xd926552c, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xf8dfaa34, "");
SYMBOL_CRC(rdma_create_user_id, 0xefb6599e, "");
SYMBOL_CRC(rdma_create_qp, 0xdbcc5458, "");
SYMBOL_CRC(rdma_destroy_qp, 0x34ce8fcc, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xe63b7928, "");
SYMBOL_CRC(rdma_destroy_id, 0xd42a7382, "");
SYMBOL_CRC(rdma_get_service_id, 0xd6c1dd45, "");
SYMBOL_CRC(rdma_read_gids, 0x2f71e230, "");
SYMBOL_CRC(rdma_set_service_type, 0x4f717b43, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6a27e02b, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x026be8b1, "");
SYMBOL_CRC(rdma_set_ib_path, 0x897bd492, "");
SYMBOL_CRC(rdma_resolve_route, 0xc8a4fd45, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0xac18d1a9, "");
SYMBOL_CRC(rdma_set_afonly, 0xdcfd06d3, "");
SYMBOL_CRC(rdma_listen, 0xd60a0f68, "");
SYMBOL_CRC(rdma_resolve_addr, 0x8a30e630, "");
SYMBOL_CRC(rdma_bind_addr, 0x2404b8a4, "");
SYMBOL_CRC(rdma_connect_locked, 0xb783b32e, "");
SYMBOL_CRC(rdma_connect, 0xb162d236, "");
SYMBOL_CRC(rdma_connect_ece, 0xa665a032, "");
SYMBOL_CRC(rdma_accept, 0xc95ed52c, "");
SYMBOL_CRC(rdma_accept_ece, 0x440e14e1, "");
SYMBOL_CRC(rdma_lock_handler, 0xc415b775, "");
SYMBOL_CRC(rdma_unlock_handler, 0x6907955d, "");
SYMBOL_CRC(rdma_notify, 0x44ae3e14, "");
SYMBOL_CRC(rdma_reject, 0x7f4fe6df, "");
SYMBOL_CRC(rdma_disconnect, 0xd00d4fce, "");
SYMBOL_CRC(rdma_join_multicast, 0x65d353f3, "");
SYMBOL_CRC(rdma_leave_multicast, 0x0cf5161c, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc0a5c1ef, "ib_send_cm_sidr_req" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x46091a56, "iw_create_cm_id" },
	{ 0x562e2939, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x45c551fc, "ib_unregister_client" },
	{ 0xc50c088a, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xad1659f1, "ib_send_cm_sidr_rep" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x8625f21b, "config_group_init" },
	{ 0xe36df71a, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xab5987be, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x60eea71e, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3859f9dc, "rdma_query_gid" },
	{ 0x802f756b, "rt6_lookup" },
	{ 0x67455bf8, "rdma_translate_ip" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0xcf47b81e, "rdma_dev_access_netns" },
	{ 0x8be4d825, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1e9c8e9f, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0x4fa88f75, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xeabec97e, "ip_mc_inc_group" },
	{ 0xf41a0ba6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xa2a4df8a, "ib_find_cached_pkey" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x64e510e3, "iw_cm_connect" },
	{ 0xdab87748, "rdma_restrack_add" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xebc6fa0f, "rdma_addr_cancel" },
	{ 0x3489a74c, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x7e6a18d, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xb426369d, "ib_register_client" },
	{ 0x735d8540, "ib_sa_path_rec_get" },
	{ 0xd63698d2, "ib_create_cm_id" },
	{ 0xcb274db9, "__ip_mc_dec_group" },
	{ 0xbf641045, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xa42c0e7c, "ib_init_ah_from_mcmember" },
	{ 0x7de1d0dc, "rdma_destroy_ah_attr" },
	{ 0xf985f98, "ib_set_client_data" },
	{ 0xc9f9f474, "init_net" },
	{ 0x700e089, "ib_get_cached_pkey" },
	{ 0x6b44dc94, "configfs_register_subsystem" },
	{ 0x2d18e2c4, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xa6239fe5, "rdma_put_gid_attr" },
	{ 0x528e5263, "config_group_init_type_name" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0x2f02bb47, "iw_destroy_cm_id" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x18dff063, "ib_send_cm_rep" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x86a30357, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x368e84f0, "ib_destroy_qp_user" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0xf179b481, "ib_cm_init_qp_attr" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x609a017a, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2f15707e, "rdma_restrack_set_name" },
	{ 0xa65d2096, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0x24cdb4d7, "ib_get_cached_port_state" },
	{ 0x34dad33d, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x61be814, "rdma_restrack_del" },
	{ 0xda9654cf, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xe11a194f, "__put_net" },
	{ 0x49c0e7ad, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xef98f0ec, "iw_cm_accept" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd1871c52, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x53a79d16, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x6ec55181, "iw_cm_init_qp_attr" },
	{ 0xe1678be1, "dst_release" },
	{ 0x60a4685a, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9e702843, "ib_send_cm_dreq" },
	{ 0x6be7dd7e, "ib_send_cm_req" },
	{ 0xfb7645b, "ib_create_qp_kernel" },
	{ 0xe12d0350, "ib_sa_join_multicast" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xd47c54fa, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x6ae1ede, "rdma_get_gid_attr" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x2325221a, "rdma_restrack_new" },
	{ 0x9d4adb7f, "__fib_lookup" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4ccf26b5, "iw_cm_listen" },
	{ 0x29342949, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9a2d8781, "rdma_copy_src_l2_addr" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x856bb1a6, "rdma_resolve_ip" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "ib_cm,ib_core,iw_cm");


MODULE_INFO(srcversion, "5AF0CE60716BA2BF8A60C98");

MODULE_INFO(suserelease, "SLE15-SP6");
