#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rtrs_srv_resp_rdma, 0xfaf6647f, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0xf80985cc, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0xb8e304a0, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0xe2563685, "");
SYMBOL_CRC(rtrs_srv_open, 0xb8003146, "");
SYMBOL_CRC(rtrs_srv_close, 0xbcc39bd6, "");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x45c551fc, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x72f011d0, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xd6b25630, "dma_sync_single_for_device" },
	{ 0xb3d7e55f, "device_initialize" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcc37fe5c, "rtrs_post_recv_empty" },
	{ 0x944ea6dd, "ib_dereg_mr_user" },
	{ 0x4971d4e9, "rtrs_iu_post_send" },
	{ 0x88391b98, "get_device" },
	{ 0x7f4fe6df, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd00d4fce, "rdma_disconnect" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x5e330e92, "rtrs_rdma_dev_pd_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xeeab2150, "rtrs_ib_dev_find_or_add" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xf8dfaa34, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xac761154, "put_device" },
	{ 0x96aaf85d, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x2404b8a4, "rdma_bind_addr" },
	{ 0xb426369d, "ib_register_client" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbe84d763, "rtrs_iu_free" },
	{ 0x925e3d03, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xc9f9f474, "init_net" },
	{ 0xa59468a7, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xea135e23, "kobj_sysfs_ops" },
	{ 0x1d53542, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x6e9194fa, "rtrs_iu_post_recv" },
	{ 0x1ad7f081, "kobject_init_and_add" },
	{ 0xd60a0f68, "rdma_listen" },
	{ 0x6861ab6f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0xa828adb1, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x295aa994, "sysfs_remove_file_self" },
	{ 0xafb541ca, "device_del" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xaf9843a2, "dma_sync_single_for_cpu" },
	{ 0xf4353d92, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x63a531df, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe5a886f9, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8b30c8d8, "ib_dma_virt_map_sg" },
	{ 0x7faf38ce, "kobject_del" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xd42a7382, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc95ed52c, "rdma_accept" },
	{ 0x1b1e9dba, "rtrs_start_hb" },
	{ 0x1ecd30a8, "kobject_uevent" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xe8f48c28, "ib_drain_qp" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xd0e7f67b, "rtrs_cq_qp_create" },
	{ 0x4ded818f, "rtrs_ib_dev_put" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0xf479ec9, "rtrs_init_hb" },
	{ 0x299762d1, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0xe68c076b, "rtrs_send_hb_ack" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x57444cb1, "rtrs_iu_alloc" },
	{ 0xc4026bc4, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xca5b4131, "kobject_get" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x14251179, "dma_map_sg_attrs" },
	{ 0x2013bf, "kobject_put" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,ib_core,rdma_cm");


MODULE_INFO(srcversion, "41E938A5BC468CB9D8D7DE8");

MODULE_INFO(suserelease, "SLE15-SP6");
