#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dm_send_uevents, 0x073b930f, "_gpl");
SYMBOL_CRC(dm_path_uevent, 0x6ae42698, "_gpl");
SYMBOL_CRC(dm_report_zones, 0x75d175d4, "_gpl");
SYMBOL_CRC(dm_audit_log_ti, 0x0caacb70, "_gpl");
SYMBOL_CRC(dm_audit_log_bio, 0x065a1605, "_gpl");
SYMBOL_CRC(dm_per_bio_data, 0x475534b8, "_gpl");
SYMBOL_CRC(dm_bio_from_per_bio_data, 0xa87408a9, "_gpl");
SYMBOL_CRC(dm_bio_get_target_bio_nr, 0x8a86198c, "_gpl");
SYMBOL_CRC(dm_get_reserved_bio_based_ios, 0x38f704de, "_gpl");
SYMBOL_CRC(_dm_prepare_ioctl, 0xd15bb7c6, "_gpl");
SYMBOL_CRC(dm_unprepare_ioctl, 0x97483515, "_gpl");
SYMBOL_CRC(dm_start_time_ns_from_clone, 0x9f79ed83, "_gpl");
SYMBOL_CRC(dm_set_target_max_io_len, 0x2fda31c8, "_gpl");
SYMBOL_CRC(dm_accept_partial_bio, 0xfccefd1d, "_gpl");
SYMBOL_CRC(dm_submit_bio_remap, 0xc798ac4e, "_gpl");
SYMBOL_CRC(dm_get_md, 0xea6b3a04, "_gpl");
SYMBOL_CRC(dm_hold, 0xb144e6a5, "_gpl");
SYMBOL_CRC(dm_device_name, 0xc869342e, "_gpl");
SYMBOL_CRC(dm_put, 0x29e31294, "_gpl");
SYMBOL_CRC(dm_internal_suspend_noflush, 0x49ae129d, "_gpl");
SYMBOL_CRC(dm_internal_resume, 0xa73e328c, "_gpl");
SYMBOL_CRC(dm_internal_suspend_fast, 0xb2dfc5a9, "_gpl");
SYMBOL_CRC(dm_internal_resume_fast, 0xddf18307, "_gpl");
SYMBOL_CRC(dm_disk, 0x9beff8ee, "_gpl");
SYMBOL_CRC(dm_suspended, 0x90c76d56, "_gpl");
SYMBOL_CRC(dm_post_suspending, 0xea1da465, "_gpl");
SYMBOL_CRC(dm_noflush_suspending, 0xf528f09c, "_gpl");
SYMBOL_CRC(dm_get_device, 0xeaf1122a, "");
SYMBOL_CRC(dm_put_device, 0xdbebe24f, "");
SYMBOL_CRC(dm_read_arg, 0x056bcf7b, "");
SYMBOL_CRC(dm_read_arg_group, 0x39c74235, "");
SYMBOL_CRC(dm_shift_arg, 0x7d27e504, "");
SYMBOL_CRC(dm_consume_args, 0x669c191b, "");
SYMBOL_CRC(dm_table_set_type, 0x4b6dab11, "_gpl");
SYMBOL_CRC(dm_table_event, 0xbffc562d, "");
SYMBOL_CRC(dm_table_get_size, 0x2f9e8fdc, "");
SYMBOL_CRC(dm_table_get_mode, 0x09dda68d, "");
SYMBOL_CRC(dm_table_get_md, 0xc3186473, "");
SYMBOL_CRC(dm_table_device_name, 0xf640f1e6, "_gpl");
SYMBOL_CRC(dm_table_run_md_queue_async, 0xf2a4801f, "");
SYMBOL_CRC(dm_register_target, 0x35bf214b, "");
SYMBOL_CRC(dm_unregister_target, 0x9d43b3e9, "");
SYMBOL_CRC(dm_copy_name_and_uuid, 0x7cd2ac11, "_gpl");
SYMBOL_CRC(dm_io_client_create, 0x601f665f, "");
SYMBOL_CRC(dm_io_client_destroy, 0x9e4faeef, "");
SYMBOL_CRC(dm_io, 0xfa41bb7b, "");
SYMBOL_CRC(dm_kcopyd_copy, 0xcf23ceea, "");
SYMBOL_CRC(dm_kcopyd_zero, 0x7524f280, "");
SYMBOL_CRC(dm_kcopyd_prepare_callback, 0xf1f88a0e, "");
SYMBOL_CRC(dm_kcopyd_do_callback, 0xf2a8efae, "");
SYMBOL_CRC(dm_kcopyd_client_create, 0x9dd9df13, "");
SYMBOL_CRC(dm_kcopyd_client_destroy, 0x154c6338, "");
SYMBOL_CRC(dm_kcopyd_client_flush, 0x90006be6, "");
SYMBOL_CRC(dm_mq_kick_requeue_list, 0x89df2ac4, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7ee952d, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe1dcf64a, "audit_log_format" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x145f84ce, "set_disk_ro" },
	{ 0xff4c2aa0, "__blk_alloc_disk" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x5f5310b8, "blk_integrity_register" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x30b53491, "misc_deregister" },
	{ 0x2f3f96ee, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x5f4a9590, "param_ops_ulong" },
	{ 0x2a976d1c, "dax_synchronous" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe54511e, "bio_split_to_limits" },
	{ 0xecffb81e, "vmalloc_to_page" },
	{ 0xd3d7a9af, "disk_update_readahead" },
	{ 0x9466041b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x695cb128, "fs_dax_get_by_bdev" },
	{ 0x9d8bb00e, "set_dax_nocache" },
	{ 0xfc01d674, "bio_poll" },
	{ 0xca9360b5, "rb_next" },
	{ 0xbc2f1d68, "blk_mq_queue_inflight" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xae818caf, "blk_crypto_profile_destroy" },
	{ 0xeb37101c, "audit_log_end" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x65b4f847, "dm_kobject_release" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0xf47ac76, "blk_rq_prep_clone" },
	{ 0xacd1e94d, "blk_mq_unquiesce_queue" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x82aeffe6, "blk_mq_quiesce_queue" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x21c09d11, "__traceiter_block_bio_remap" },
	{ 0x8d4d24fb, "blk_crypto_profile_init" },
	{ 0xe723cfc6, "freeze_bdev" },
	{ 0xe3065caf, "blk_queue_write_cache" },
	{ 0x4d21d1f3, "blk_mq_kick_requeue_list" },
	{ 0x138e0957, "dax_write_cache_enabled" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x8c31844b, "blk_rq_unprep_clone" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7409852, "synchronize_srcu" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x603dac85, "blk_mq_end_request" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x55f90895, "alloc_dax" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2ffbc6, "blk_integrity_unregister" },
	{ 0x6e79c431, "blk_mq_delay_kick_requeue_list" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xf45a13cd, "blk_mq_alloc_tag_set" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xacf649bf, "audit_log_task_info" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x4250cb88, "__traceiter_block_split" },
	{ 0x3dda6023, "bioset_integrity_create" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x77e4f053, "put_disk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x6c49bedb, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xd45420e3, "bio_integrity_trim" },
	{ 0x1000e51, "schedule" },
	{ 0xfad9c827, "kill_dax" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x2990b6a9, "bdev_nr_zones" },
	{ 0x34fc4ad3, "__tracepoint_block_split" },
	{ 0xa916b694, "strnlen" },
	{ 0xa71a4bdc, "blk_queue_flag_set" },
	{ 0x549e449e, "kmalloc_node_trace" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x9f385d1e, "blkdev_put" },
	{ 0x618911fc, "numa_node" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xaf5a62ab, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0xd63b405d, "blk_crypto_has_capabilities" },
	{ 0xbdd7d35c, "dax_add_host" },
	{ 0x130ca6bf, "blk_queue_flag_clear" },
	{ 0xf9b56dad, "module_put" },
	{ 0xa9a1b6f8, "blk_mq_init_allocated_queue" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0xd05bfd38, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc0579e65, "kobject_uevent_env" },
	{ 0x3e93f7e8, "bio_put" },
	{ 0x5ab3738f, "blk_crypto_intersect_capabilities" },
	{ 0x8428b753, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9e9c4f24, "set_dax_nomc" },
	{ 0x740c7d5e, "init_srcu_struct" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x7370f170, "blk_update_request" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xec5668f6, "dax_zero_page_range" },
	{ 0x8adce972, "blkdev_get_by_dev" },
	{ 0xa3878fd2, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf45d391d, "thaw_bdev" },
	{ 0x5c10e15a, "set_capacity" },
	{ 0xf1fa4dda, "submit_bio_noacct" },
	{ 0xaff0e69d, "noop_llseek" },
	{ 0xa158f227, "blk_integrity_compare" },
	{ 0x6626afca, "down" },
	{ 0x5f6f1e9e, "dax_get_private" },
	{ 0x954f099c, "idr_preload" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0xcd290558, "bdev_start_io_acct" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4fafb63d, "dax_remove_host" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1d8f5bcf, "bio_chain" },
	{ 0x5c954a27, "dax_recovery_write" },
	{ 0x392b1fea, "wait_for_completion_io" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0x1ad7f081, "kobject_init_and_add" },
	{ 0xeae9c354, "zero_fill_bio_iter" },
	{ 0x3da80780, "bio_add_page" },
	{ 0xa05c2a78, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdbd60e69, "del_gendisk" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x71b1c89b, "cleanup_srcu_struct" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x187ad56e, "bd_unlink_disk_holder" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xf3d401ef, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x890d9216, "bio_alloc_clone" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe43bc1f1, "misc_register" },
	{ 0x260d021a, "blk_crypto_evict_key" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x28f0523c, "blk_insert_cloned_request" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4e314a47, "audit_log_start" },
	{ 0x89a7a34d, "nonseekable_open" },
	{ 0x70ac2c1a, "blk_limits_io_min" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa157d175, "blk_mq_complete_request" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf290fcef, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xf6a2ea0c, "bioset_init" },
	{ 0xd9ea4376, "bio_trim" },
	{ 0x330f6116, "set_dax_synchronous" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9ffedaf1, "__traceiter_block_rq_remap" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34f857b, "__srcu_read_unlock" },
	{ 0x8135613, "dax_write_cache" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x8ce2d446, "__tracepoint_block_rq_remap" },
	{ 0xb03f637a, "bd_link_disk_holder" },
	{ 0x16a1b7c, "blk_mq_start_request" },
	{ 0xa917c1de, "blk_limits_io_opt" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x7242d92, "put_dax" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9907e08d, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0x47375b52, "blk_mq_run_hw_queues" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0x53b954a2, "up_read" },
	{ 0x7a8ab0aa, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x64e6d448, "blkdev_report_zones" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x972f58e6, "bdev_end_io_acct" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xe77772e4, "blk_crypto_update_capabilities" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2013bf, "kobject_put" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E31FB1E769DD67C7EC77AAD");

MODULE_INFO(suserelease, "SLE15-SP6");
