#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xba27139f, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xa82a8b94, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x0c9a41b5, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x94308118, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x05f72f7f, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x1c39c787, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x764a8183, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x26f77253, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x112e399f, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x5dda1e68, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x6b23f82f, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0xad200136, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x3b74014e, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x4c0b2eb6, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x9f6f722f, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xa4a03c80, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xcbca7439, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x94cf8cab, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xffbc3e97, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x888abcc0, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x9bc0f403, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x2f5853a5, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0x6cf1c1e8, "_gpl");
SYMBOL_CRC(nvme_keep_alive_work_period, 0xdc7b2741, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x238aab7c, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x6c7a0cfe, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x46811316, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xb959d7c4, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x4934ad17, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xdb4ee111, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x1244fb78, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x6a680699, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x19be4567, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x30928924, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x97b94eba, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x367a1c70, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xa8ca5c70, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x0bb883c9, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x4de31c83, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xb3060168, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x8471a3f8, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0xa9891840, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x63cd8a5d, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xa87f70fd, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x0aa1d669, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xc38346a5, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0xa23a7716, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x7c84aabd, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x108b861a, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xe722e256, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x34bcc894, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x3460c098, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x0db1fb47, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x238c3086, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x67cb1b9b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x8797ce17, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x2ed69542, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0x89e40732, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x67220daa, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x434e04b4, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0xc0960275, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xf52db28c, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x55390e87, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8eb7211f, "set_capacity_and_notify" },
	{ 0xb7ee952d, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x145f84ce, "set_disk_ro" },
	{ 0xff4c2aa0, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x5f5310b8, "blk_integrity_register" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb10667af, "bio_integrity_map_user" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xe27f6664, "device_remove_file_self" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x5f4a9590, "param_ops_ulong" },
	{ 0x5fb9dcd1, "blk_queue_logical_block_size" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x72f011d0, "dev_set_name" },
	{ 0x9ea04843, "ext_pi_type3_crc64" },
	{ 0xe54511e, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xd3d7a9af, "disk_update_readahead" },
	{ 0x3f9f9feb, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x9466041b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x81b22a9d, "blk_mq_tagset_wait_completed_request" },
	{ 0x4ab5e652, "cdev_device_del" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd77140b, "class_destroy" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x17468a13, "should_fail" },
	{ 0xb3d7e55f, "device_initialize" },
	{ 0xacd1e94d, "blk_mq_unquiesce_queue" },
	{ 0x43205dfc, "t10_pi_type1_crc" },
	{ 0xb6c12a66, "blk_queue_dma_alignment" },
	{ 0x82aeffe6, "blk_mq_quiesce_queue" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xdc854f3e, "ext_pi_type1_crc64" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xb7ed831f, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x21c09d11, "__traceiter_block_bio_remap" },
	{ 0x34fec3eb, "__traceiter_block_bio_complete" },
	{ 0xe3065caf, "blk_queue_write_cache" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x2dc46207, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc7409852, "synchronize_srcu" },
	{ 0xee4f4569, "param_ops_byte" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x88391b98, "get_device" },
	{ 0x603dac85, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x115fcde4, "__blk_mq_alloc_disk" },
	{ 0xafa5b364, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2ffbc6, "blk_integrity_unregister" },
	{ 0x6e79c431, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xf45a13cd, "blk_mq_alloc_tag_set" },
	{ 0x6cc1106c, "blk_rq_is_poll" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0x77e4f053, "put_disk" },
	{ 0x6800994e, "crypto_alloc_kpp" },
	{ 0x5c74801c, "cdev_device_add" },
	{ 0xe2784890, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6121b4eb, "blk_queue_physical_block_size" },
	{ 0x4d09689a, "blk_execute_rq" },
	{ 0xac761154, "put_device" },
	{ 0x78befaa0, "blk_mq_unquiesce_tagset" },
	{ 0x3a037232, "blk_queue_max_zone_append_sectors" },
	{ 0xa916b694, "strnlen" },
	{ 0x549e449e, "kmalloc_node_trace" },
	{ 0xa71a4bdc, "blk_queue_flag_set" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0xa836e54c, "blk_mq_free_request" },
	{ 0x3093ad15, "disk_set_zoned" },
	{ 0x618911fc, "numa_node" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0xe3d74559, "_dev_info" },
	{ 0x925419c5, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf9b56dad, "module_put" },
	{ 0xb2be8461, "sysfs_create_link" },
	{ 0x6fbeb3f4, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9df6a2da, "compat_ptr_ioctl" },
	{ 0xee8fcf7, "t10_pi_type3_crc" },
	{ 0xb4cfd733, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0xc19904ac, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc0579e65, "kobject_uevent_env" },
	{ 0x8428b753, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x740c7d5e, "init_srcu_struct" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0x5dde8d05, "blk_revalidate_disk_zones" },
	{ 0x100d1c57, "debugfs_create_bool" },
	{ 0xc0f4284f, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa59468a7, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x7c5a7c3c, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xad31732b, "sysfs_remove_link" },
	{ 0xd779bda1, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa3878fd2, "__srcu_read_lock" },
	{ 0x5c10e15a, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1fa4dda, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x4e4e64d9, "class_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd969994, "blk_sync_queue" },
	{ 0xcd290558, "bdev_start_io_acct" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa8a4c440, "blk_mq_alloc_request_hctx" },
	{ 0xb513aba6, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x534f2aa4, "blk_stack_limits" },
	{ 0xeb7fb589, "crypto_shash_update" },
	{ 0xa05c2a78, "blk_mq_free_tag_set" },
	{ 0xdbd60e69, "del_gendisk" },
	{ 0x4d03dd70, "blk_queue_max_discard_sectors" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x71b1c89b, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x45e393a5, "blk_queue_max_discard_segments" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x97531069, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xc4c93798, "blk_put_queue" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0xafb541ca, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0xb20f4236, "blk_mq_wait_quiesce_done" },
	{ 0x8f257b67, "param_ops_charp" },
	{ 0xcca7aaaa, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c4c67eb, "io_uring_cmd_do_in_task_lazy" },
	{ 0xd88c6356, "blk_mq_init_queue" },
	{ 0x999b9a32, "debugfs_create_x16" },
	{ 0x9eeb52db, "io_uring_cmd_done" },
	{ 0x5255717d, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x65d6e807, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcaa046af, "blk_queue_virt_boundary" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xa157d175, "blk_mq_complete_request" },
	{ 0x5eb93bc5, "blk_queue_chunk_sectors" },
	{ 0x834525cb, "blk_queue_max_write_zeroes_sectors" },
	{ 0xa03be9d9, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x1d7dfd1a, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xb1ff4488, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x35d42a58, "blk_freeze_queue_start" },
	{ 0x35dc3c6a, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3025cc3d, "blk_queue_io_min" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34f857b, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x6b20c3a4, "blk_mq_unfreeze_queue" },
	{ 0xab935e7c, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x72d01649, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb8a97721, "blk_rq_map_user_iov" },
	{ 0x45b56f47, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x48265595, "blk_queue_max_hw_sectors" },
	{ 0x9907e08d, "blk_mark_disk_dead" },
	{ 0x98cf60b3, "strlen" },
	{ 0xae8ddb37, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0x787bad0c, "blk_mq_freeze_queue_wait" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0xbd43f6da, "nvme_auth_gen_privkey" },
	{ 0x923ce43f, "fault_create_debugfs_attr" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xae2ba68, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x7a8ab0aa, "blk_mq_requeue_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf787d124, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x972f58e6, "bdev_end_io_acct" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x7cee265b, "blk_steal_bios" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "C7B08C35C246E42B7636EDF");

MODULE_INFO(suserelease, "SLE15-SP6");
