#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvmf_get_address, 0xc4505087, "_gpl");
SYMBOL_CRC(nvmf_reg_read32, 0xdee6f783, "_gpl");
SYMBOL_CRC(nvmf_reg_read64, 0xec5e3f5c, "_gpl");
SYMBOL_CRC(nvmf_reg_write32, 0xe87ebc3e, "_gpl");
SYMBOL_CRC(nvmf_subsystem_reset, 0x8ba2bb1c, "_gpl");
SYMBOL_CRC(nvmf_connect_admin_queue, 0x85079704, "_gpl");
SYMBOL_CRC(nvmf_connect_io_queue, 0x9f1e2ec3, "_gpl");
SYMBOL_CRC(nvmf_should_reconnect, 0xcb5c64f7, "_gpl");
SYMBOL_CRC(nvmf_register_transport, 0xc8ebcff5, "_gpl");
SYMBOL_CRC(nvmf_unregister_transport, 0xbd6e5e40, "_gpl");
SYMBOL_CRC(nvmf_set_io_queues, 0x2fc23a05, "_gpl");
SYMBOL_CRC(nvmf_map_queues, 0x9e1fa0ad, "_gpl");
SYMBOL_CRC(nvmf_ip_options_match, 0xf69ab3f8, "_gpl");
SYMBOL_CRC(nvmf_free_options, 0x50a5094b, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c7ded33, "try_module_get" },
	{ 0x30b53491, "misc_deregister" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xd77140b, "class_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xac761154, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xe3d74559, "_dev_info" },
	{ 0xf9b56dad, "module_put" },
	{ 0xe653bd32, "key_put" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x4e3567f7, "match_int" },
	{ 0xaf76af0a, "device_create" },
	{ 0x4e4e64d9, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9166fada, "strncpy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xffbc3e97, "__nvme_submit_sync_cmd" },
	{ 0xba27139f, "nvme_try_sched_reset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0xe43bc1f1, "misc_register" },
	{ 0x434e04b4, "nvme_auth_wait" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x2d0728fc, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x44e9a829, "match_token" },
	{ 0xb686b574, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x154b24cd, "single_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x6b23f82f, "nvme_wait_reset" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x89e97257, "single_open" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc57c756, "nvme_tls_key_lookup" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x67220daa, "nvme_auth_negotiate" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "F58D93338A3EE2FE58E2C7F");

MODULE_INFO(suserelease, "SLE15-SP6");
