#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x5f37ff79, "crypto_alloc_ahash" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x6a3d35c4, "tls_alert_recv" },
	{ 0x6a61d0d8, "ip_sock_set_tos" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x9672f536, "nvmet_req_complete" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xce28b1c3, "kernel_bind" },
	{ 0x1d7d4861, "sock_create" },
	{ 0xa10aee5e, "tls_server_hello_psk" },
	{ 0x6dd9e679, "tls_handshake_cancel" },
	{ 0xd0f24154, "tls_get_record_type" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xba6ab5d1, "kernel_accept" },
	{ 0x1de04654, "kernel_recvmsg" },
	{ 0x73d5b501, "sock_alloc_file" },
	{ 0x67d1f677, "sock_set_priority" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0xc0ce385d, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x421d5c29, "nvmet_unregister_transport" },
	{ 0x2de125c0, "page_frag_alloc_align" },
	{ 0xe1449b34, "nvmet_req_init" },
	{ 0xd871a465, "fput" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xc9f9f474, "init_net" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf6ea858d, "kernel_getpeername" },
	{ 0x6b26fba2, "kernel_getsockname" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x5f33c285, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7a2615fa, "nvmet_register_transport" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4b6b369f, "inet_pton_with_scope" },
	{ 0xd883cf91, "sock_sendmsg" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x2758c67a, "sock_set_reuseaddr" },
	{ 0xd8a8033f, "iov_iter_bvec" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x26b3a05c, "crypto_ahash_digest" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbf329c3a, "__page_frag_cache_drain" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9e34786b, "kernel_listen" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb1b38c16, "nvmet_sq_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xcca35d92, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x39cf629a, "sock_release" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x5ec33e5b, "tcp_sock_set_nodelay" },
	{ 0x9cd0dd96, "nvmet_ctrl_fatal_error" },
	{ 0x816d3a46, "nvmet_req_uninit" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0xed38bc9a, "param_get_int" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x3c7312ae, "kernel_sendmsg" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xd4e9ceff, "sock_no_linger" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "BFAF4CD41D6A6C58625EB40");

MODULE_INFO(suserelease, "SLE15-SP6");
