#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sas_remove_children, 0x7cfd08f0, "");
SYMBOL_CRC(sas_remove_host, 0x9155056d, "");
SYMBOL_CRC(sas_get_address, 0x7abcb059, "");
SYMBOL_CRC(sas_tlr_supported, 0x105451fc, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xaaabf3c1, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xbbf72372, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x51b14952, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x00b22bf1, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xc42ee90e, "");
SYMBOL_CRC(sas_phy_add, 0x655137b0, "");
SYMBOL_CRC(sas_phy_free, 0xdccdd4d2, "");
SYMBOL_CRC(sas_phy_delete, 0x0f338f21, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x1ee12cf0, "");
SYMBOL_CRC(sas_port_alloc, 0x543622eb, "");
SYMBOL_CRC(sas_port_alloc_num, 0xba6cd46c, "");
SYMBOL_CRC(sas_port_add, 0x5ebb51b0, "");
SYMBOL_CRC(sas_port_free, 0x2d80af33, "");
SYMBOL_CRC(sas_port_delete, 0x76d14ca5, "");
SYMBOL_CRC(scsi_is_sas_port, 0x785d451a, "");
SYMBOL_CRC(sas_port_get_phy, 0xb9209e4f, "");
SYMBOL_CRC(sas_port_add_phy, 0x914aaf4b, "");
SYMBOL_CRC(sas_port_delete_phy, 0x0bc9d2d8, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xf50ba924, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x148da919, "");
SYMBOL_CRC(sas_end_device_alloc, 0x438cd7dd, "");
SYMBOL_CRC(sas_expander_alloc, 0x7acc9e27, "");
SYMBOL_CRC(sas_rphy_add, 0x498ce92d, "");
SYMBOL_CRC(sas_rphy_free, 0xfc0dd2a6, "");
SYMBOL_CRC(sas_rphy_delete, 0x2fa65a0b, "");
SYMBOL_CRC(sas_rphy_unlink, 0x2417c3b9, "");
SYMBOL_CRC(sas_rphy_remove, 0x1b31cd08, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x61caa3db, "");
SYMBOL_CRC(sas_attach_transport, 0x3f980375, "");
SYMBOL_CRC(sas_release_transport, 0x1ef61ace, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf8cecf00, "device_for_each_child" },
	{ 0xa8bed4c8, "scsi_remove_host" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xac761154, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4048e12, "scsi_is_host_device" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xb3d7e55f, "device_initialize" },
	{ 0x88391b98, "get_device" },
	{ 0x72f011d0, "dev_set_name" },
	{ 0xa735ba32, "transport_setup_device" },
	{ 0xa59468a7, "device_add" },
	{ 0x15070623, "transport_add_device" },
	{ 0xd045a1a6, "transport_configure_device" },
	{ 0xafb541ca, "device_del" },
	{ 0x1ec71bf3, "transport_destroy_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xad31732b, "sysfs_remove_link" },
	{ 0xb2be8461, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xe156c0e7, "scsi_scan_target" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d3a9c7f, "bsg_remove_queue" },
	{ 0xb40f572d, "transport_remove_device" },
	{ 0x8e308e02, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x745005a, "attribute_container_register" },
	{ 0x6b6dc3e3, "transport_class_unregister" },
	{ 0x58a0953c, "scsi_mode_sense" },
	{ 0x6b594ee1, "_dev_printk" },
	{ 0x2bf3ef41, "bsg_setup_queue" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0xe4cac11c, "bsg_job_done" },
	{ 0xcba31044, "transport_class_register" },
	{ 0xdcfcb340, "scsi_get_vpd_page" },
	{ 0x8e40b29d, "dma_opt_mapping_size" },
	{ 0xefae68f, "attribute_container_unregister" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "082852696E06971446548D5");

MODULE_INFO(suserelease, "SLE15-SP6");
