#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2__journal_start, 0xa621040b, "");
SYMBOL_CRC(jbd2_journal_start, 0x0c4fcee0, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xe57d8929, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0xc72006bb, "");
SYMBOL_CRC(jbd2__journal_restart, 0x32fe7d13, "");
SYMBOL_CRC(jbd2_journal_restart, 0x510bb1a9, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xf1cac011, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0xa6bb3bf1, "");
SYMBOL_CRC(jbd2_journal_extend, 0xc42b3eb7, "");
SYMBOL_CRC(jbd2_journal_stop, 0x5faf8f17, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x4dc2aaed, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x81d5ba5b, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x73869d76, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xcd332819, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xf581e78a, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xb9a1b663, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0xc63e327b, "");
SYMBOL_CRC(jbd2_journal_forget, 0x055a293a, "");
SYMBOL_CRC(jbd2_journal_flush, 0x5aaf39c4, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x583eb3c5, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x0eabf46e, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x30112efd, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xb567cc90, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x356ce48f, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x45e1c6a1, "");
SYMBOL_CRC(jbd2_journal_load, 0x8bce1651, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x4c19909d, "");
SYMBOL_CRC(jbd2_journal_abort, 0xb787639f, "");
SYMBOL_CRC(jbd2_journal_errno, 0xd779caa2, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x892f6b88, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x93809903, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xcd499baa, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xa4ecedbc, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x548607e8, "");
SYMBOL_CRC(jbd2_journal_wipe, 0xf1883308, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x5d3c8555, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x5563d34b, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x1882accc, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x0624655f, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xfbec8f36, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xd725aa77, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0x9a4e4ed7, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x90a2f98a, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x40f2833e, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0x8a7b998c, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x8f5df5cb, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xf9020c48, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x7d2deda3, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xfd186154, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xb20f2026, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x4504e19b, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xa0ea57f2, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xec589a2e, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x6ab56b15, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0x127d50bd, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xdd6c576e, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x3bab02b5, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x09f58c10, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xccaf5481, "bh_uptodate_or_lock" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2f3f96ee, "blk_start_plug" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x98ff2016, "folio_unlock" },
	{ 0x260eece4, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xf041abe7, "bpf_trace_run6" },
	{ 0xe9433b47, "mark_buffer_dirty" },
	{ 0x359f9e84, "__find_get_block" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0xbb815fd2, "filemap_fdatawrite_range" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x5d4e1b09, "__bforget" },
	{ 0x8a61c9c2, "write_dirty_buffer" },
	{ 0x6ca74c64, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4df02057, "crc32_be" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc40efe1d, "iput" },
	{ 0x27fe343, "seq_lseek" },
	{ 0xbce5dcda, "blockdev_superblock" },
	{ 0x164a6113, "proc_create_data" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x65075764, "bpf_trace_run8" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x43d7158a, "submit_bh" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x6451074a, "alloc_buffer_head" },
	{ 0x1030eecd, "wake_up_process" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x64a31445, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc2f8c9fc, "try_to_free_buffers" },
	{ 0x84f6450, "sync_blockdev" },
	{ 0x4b6cb44c, "free_buffer_head" },
	{ 0x4fe512ab, "unregister_shrinker" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xaf5a62ab, "blk_finish_plug" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2fff745, "__brelse" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x607f0642, "__bh_read_batch" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x156950be, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x4a556dce, "__bh_read" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x498d115f, "blkdev_issue_zeroout" },
	{ 0x7e53865d, "filemap_fdatawait_range_keep_errors" },
	{ 0xeb7fb589, "crypto_shash_update" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb456d8f1, "freezing_slow_path" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0xa8215119, "proc_mkdir" },
	{ 0xdcb764ad, "memset" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5f7ef9f, "set_bh_page" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe534973a, "kthread_create_on_node" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x2d0728fc, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x38e9d05a, "unlock_buffer" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x5fd7e5ef, "__lock_buffer" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x3d68f8b2, "truncate_inode_pages_range" },
	{ 0x62a0e546, "blkdev_issue_flush" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3abc158c, "end_buffer_write_sync" },
	{ 0xae20fedf, "seq_open" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x237d9f5c, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7410aba2, "strreplace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x7bab4b59, "blkdev_issue_discard" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A2CB754F67607D88BF351D");

MODULE_INFO(suserelease, "SLE15-SP6");
