#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc86b48bf, "__traceiter_pnfs_mds_fallback_read_done" },
	{ 0x6070442, "pnfs_register_layoutdriver" },
	{ 0x1bf66bdd, "pnfs_generic_ds_cinfo_release_lseg" },
	{ 0xea6877d0, "nfs4_mark_deviceid_available" },
	{ 0x6362d3e7, "nfs_writeback_update_inode" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x974a1614, "__tracepoint_pnfs_mds_fallback_pg_init_write" },
	{ 0x1af3abbb, "nfs4_init_deviceid_node" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe19f5ee0, "__tracepoint_pnfs_mds_fallback_write_pagelist" },
	{ 0x463369fe, "nfs_pageio_reset_read_mds" },
	{ 0x30357258, "xdr_write_pages" },
	{ 0x7a2dd43c, "pnfs_generic_ds_cinfo_destroy" },
	{ 0x251ae464, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9a1a74c3, "__tracepoint_nfs4_pnfs_write" },
	{ 0xe99f95c0, "xdr_inline_decode" },
	{ 0x57bca551, "rpc_count_iostats_metrics" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x21b2d9c4, "__traceiter_nfs4_pnfs_commit_ds" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xe971c65d, "pnfs_write_done_resend_to_mds" },
	{ 0xede41327, "__tracepoint_nfs4_pnfs_read" },
	{ 0x32bb6e05, "__tracepoint_ff_layout_write_error" },
	{ 0x4715482c, "pnfs_free_commit_array" },
	{ 0x4072e77f, "__traceiter_ff_layout_read_error" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3bd1951e, "pnfs_generic_pg_check_layout" },
	{ 0x37a0cba, "kfree" },
	{ 0x2200b57a, "pnfs_generic_pg_check_range" },
	{ 0x15c0e54b, "pnfs_generic_prepare_to_resend_writes" },
	{ 0xceb32e85, "pnfs_generic_pg_writepages" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x2d30c78a, "rpc_restart_call_prepare" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xcd3ac1c6, "__traceiter_nfs4_pnfs_write" },
	{ 0x7ab7bcc6, "__tracepoint_ff_layout_commit_error" },
	{ 0x3997bf09, "pnfs_read_done_resend_to_mds" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8093430a, "pnfs_add_commit_array" },
	{ 0xb7ee3faf, "pnfs_generic_pg_readpages" },
	{ 0xf999267e, "pnfs_generic_commit_release" },
	{ 0x85361685, "rpc_clnt_disconnect" },
	{ 0x36e26217, "__put_cred" },
	{ 0xa38bf109, "rpc_cancel_tasks" },
	{ 0x6085edbd, "nfs_map_string_to_numeric" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e3c5dac, "nfs4_test_deviceid_unavailable" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xccc3ed5c, "__traceiter_ff_layout_commit_error" },
	{ 0xcf29b95f, "__tracepoint_pnfs_mds_fallback_read_pagelist" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x69d3558d, "pnfs_generic_rw_release" },
	{ 0x55032d74, "pnfs_generic_scan_commit_lists" },
	{ 0xe156d1ab, "init_task" },
	{ 0x666f1933, "pnfs_set_layoutcommit" },
	{ 0x4e4123d8, "__traceiter_nfs4_pnfs_read" },
	{ 0xed15fb41, "nfs4_print_deviceid" },
	{ 0xda1a6f6c, "pnfs_report_layoutstat" },
	{ 0x2d1ea063, "nfs4_put_deviceid_node" },
	{ 0xf0dddadf, "pnfs_put_lseg" },
	{ 0x92a3daa3, "pnfs_layoutcommit_inode" },
	{ 0xf852635b, "nfs4_pnfs_ds_add" },
	{ 0x12b2b9b8, "__traceiter_pnfs_mds_fallback_write_done" },
	{ 0x35b552e7, "pnfs_destroy_layout" },
	{ 0x543e337e, "pnfs_layout_mark_request_commit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf4414ed, "nfs_pageio_reset_write_mds" },
	{ 0x3a4ed487, "rpc_max_payload" },
	{ 0xe6520c0d, "nfs4_find_or_create_ds_client" },
	{ 0x962431ee, "__traceiter_ff_layout_write_error" },
	{ 0xce1f007f, "from_kgid" },
	{ 0xd17b19e0, "nfs4_find_get_deviceid" },
	{ 0x68f82aed, "pnfs_read_resend_pnfs" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb89228c7, "__traceiter_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x460b4ebc, "__traceiter_pnfs_mds_fallback_read_pagelist" },
	{ 0x8495bf1e, "rpc_call_start" },
	{ 0x82409884, "__tracepoint_pnfs_mds_fallback_read_done" },
	{ 0x984866db, "from_kuid" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xaebca68, "__tracepoint_ff_layout_read_error" },
	{ 0x7c043690, "xdr_init_decode_pages" },
	{ 0x20d6783e, "pnfs_generic_layout_insert_lseg" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x188d1a0c, "rpc_delay" },
	{ 0x4477ba06, "pnfs_generic_write_commit_done" },
	{ 0x1e182394, "pnfs_generic_pg_cleanup" },
	{ 0xc308a001, "rpc_exit" },
	{ 0x47c729b8, "make_kgid" },
	{ 0x636c6541, "pnfs_update_layout" },
	{ 0x484aae67, "pnfs_generic_pg_test" },
	{ 0xc42af93e, "xdr_reserve_space" },
	{ 0xacf1c8be, "nfs4_sequence_done" },
	{ 0x17f6c6b0, "pnfs_generic_recover_commit_reqs" },
	{ 0xa1dedf60, "pnfs_generic_commit_pagelist" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x59262a7e, "__traceiter_pnfs_mds_fallback_write_pagelist" },
	{ 0xaec0c746, "nfs_initiate_pgio" },
	{ 0xf382a9b8, "nfs4_decode_mp_ds_addr" },
	{ 0xeae8522f, "__tracepoint_nfs4_pnfs_commit_ds" },
	{ 0x6996a098, "nfs4_mark_deviceid_unavailable" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x336556ec, "nfs4_delete_deviceid" },
	{ 0x54bef45, "layoutstats_timer" },
	{ 0x5ce462a3, "__tracepoint_pnfs_mds_fallback_write_done" },
	{ 0xffadbfa0, "nfs4_pnfs_ds_put" },
	{ 0xa77f3eef, "pnfs_error_mark_layout_for_return" },
	{ 0xd685bf4c, "nfs_initiate_commit" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xd0ecfaad, "__tracepoint_pnfs_mds_fallback_pg_init_read" },
	{ 0x22cc788e, "prepare_kernel_cred" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x6541ff8b, "nfs4_setup_sequence" },
	{ 0xc0099488, "nfs42_proc_layouterror" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8f7aa280, "pnfs_generic_clear_request_commit" },
	{ 0xf01076e, "__tracepoint_pnfs_mds_fallback_pg_get_mirror_count" },
	{ 0x1745eea8, "__traceiter_pnfs_mds_fallback_pg_init_read" },
	{ 0x760cb324, "nfs4_pnfs_ds_connect" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8505c4d1, "xdr_init_encode" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x1d936e3, "__traceiter_pnfs_mds_fallback_pg_init_write" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2e6f7ab9, "pnfs_alloc_commit_array" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xa9eae883, "pnfs_nfs_generic_sync" },
	{ 0xac34715f, "nfs4_schedule_session_recovery" },
	{ 0x73e172fd, "pnfs_unregister_layoutdriver" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nfsv4,nfs,sunrpc");


MODULE_INFO(srcversion, "97417042E475B0448B88FAA");

MODULE_INFO(suserelease, "SLE15-SP6");
