#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1802b69c, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xccaf5481, "bh_uptodate_or_lock" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x803ddbb6, "__posix_acl_create" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd7d65d1b, "inode_init_owner" },
	{ 0x9eb97a90, "filemap_fdatawrite" },
	{ 0xf0bdd751, "generic_fillattr" },
	{ 0xb014033, "setattr_prepare" },
	{ 0x62c1d0de, "clear_nlink" },
	{ 0x4504e19b, "jbd2_complete_transaction" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x33e6edac, "__dquot_transfer" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc758b44e, "d_instantiate" },
	{ 0xb9a7eb14, "simple_attr_open" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf7d592a, "clear_inode" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x6ee127c9, "dquot_commit_info" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0x642b75b8, "debugfs_attr_write" },
	{ 0x48a9b7f0, "dquot_disable" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9d4867a, "dquot_free_inode" },
	{ 0x98ff2016, "folio_unlock" },
	{ 0x3bab02b5, "jbd2_journal_grab_journal_head" },
	{ 0xc12d3eb7, "mode_strip_sgid" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xdf5f952c, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x378bb5a, "user_path_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5faf8f17, "jbd2_journal_stop" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x4dc1fea2, "forget_all_cached_acls" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0xfbec8f36, "jbd2_journal_inode_ranged_write" },
	{ 0xf041abe7, "bpf_trace_run6" },
	{ 0x510bb1a9, "jbd2_journal_restart" },
	{ 0xe9433b47, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x359f9e84, "__find_get_block" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0xbb815fd2, "filemap_fdatawrite_range" },
	{ 0xb9a1b663, "jbd2_journal_set_triggers" },
	{ 0x8e35e9d8, "__block_write_begin" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4fdc8acd, "inode_query_iversion" },
	{ 0x8e616e6c, "__blockdev_direct_IO" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf8eeceb3, "nop_posix_acl_access" },
	{ 0x8bce1651, "jbd2_journal_load" },
	{ 0xd947ec51, "nop_posix_acl_default" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x45e1c6a1, "jbd2_journal_set_features" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0xcafdd707, "ocfs2_dlm_lock_status" },
	{ 0x22659166, "end_buffer_read_sync" },
	{ 0x9a0a344a, "fsnotify" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0x81d5ba5b, "jbd2_journal_unlock_updates" },
	{ 0x326ae3bb, "generic_error_remove_page" },
	{ 0xb43ae197, "current_time" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x7bb62242, "fiemap_prep" },
	{ 0x4829a47e, "memcpy" },
	{ 0xc297d271, "unmap_mapping_range" },
	{ 0x5f605118, "ihold" },
	{ 0xb8440cf9, "page_get_link" },
	{ 0x4a7380ff, "inode_dio_wait" },
	{ 0x33b34354, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0xc40efe1d, "iput" },
	{ 0xf2bb031c, "kset_unregister" },
	{ 0x84264ced, "fs_umode_to_ftype" },
	{ 0x27fe343, "seq_lseek" },
	{ 0xdd6c576e, "jbd2_journal_clear_features" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xbbc4ef97, "ocfs2_stack_supports_plocks" },
	{ 0x5eb00f51, "iter_file_splice_write" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9a4e4ed7, "jbd2_journal_finish_inode_data_buffers" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x2bb6099e, "dq_data_lock" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x65075764, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x69ce1cba, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6c3a970, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x43d7158a, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x576df803, "vfs_setpos" },
	{ 0x5d1d639, "shrink_dcache_parent" },
	{ 0xa60643ac, "make_vfsuid" },
	{ 0xc9fae756, "ocfs2_cluster_connect" },
	{ 0x1030eecd, "wake_up_process" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x93f27c6d, "dquot_scan_active" },
	{ 0x2acd4636, "qtree_entry_unused" },
	{ 0x31f859a3, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb6d088a8, "inode_newsize_ok" },
	{ 0x3a607d2a, "lock_two_nondirectories" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0xe312deab, "mnt_want_write_file" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xd423c62b, "block_invalidate_folio" },
	{ 0xb461e0ee, "make_kprojid" },
	{ 0x90a2f98a, "jbd2_journal_init_jbd_inode" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x73869d76, "jbd2_journal_get_write_access" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xc2f8c9fc, "try_to_free_buffers" },
	{ 0xb3a0b54, "create_empty_buffers" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0x84f6450, "sync_blockdev" },
	{ 0x26a65054, "block_write_full_page" },
	{ 0x747a5b24, "wait_for_stable_page" },
	{ 0xa916b694, "strnlen" },
	{ 0x6ec4e79f, "sync_mapping_buffers" },
	{ 0xc6204e94, "dquot_initialize" },
	{ 0xd2362f2e, "locks_init_lock" },
	{ 0xd806a273, "ocfs2_dlm_dump_lksb" },
	{ 0xd344e4ee, "ocfs2_stack_glue_set_max_proto_version" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xa9027b53, "setattr_should_drop_suidgid" },
	{ 0x6a0c3847, "__mlog_printk" },
	{ 0x7a8ddc80, "block_commit_write" },
	{ 0xc6cbbc89, "capable" },
	{ 0x776280b6, "mnt_drop_write_file" },
	{ 0xa726931, "ocfs2_cluster_this_node" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x239c3929, "file_write_and_wait_range" },
	{ 0x84085ffa, "qtree_write_dquot" },
	{ 0xaf969565, "ocfs2_dlm_lock" },
	{ 0x9230d5d0, "mark_page_accessed" },
	{ 0xd93442ea, "debugfs_attr_read" },
	{ 0x85920bb3, "seq_escape_mem" },
	{ 0xd41fd467, "ilookup5" },
	{ 0x1475f64b, "ocfs2_dlm_lvb_valid" },
	{ 0x93809903, "jbd2_journal_clear_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2fff745, "__brelse" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x30112efd, "jbd2_journal_init_inode" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xb787639f, "jbd2_journal_abort" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0x77457e02, "inode_maybe_inc_iversion" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x7c36272d, "filemap_fdatawrite_wbc" },
	{ 0x4e3567f7, "match_int" },
	{ 0x22f9cee2, "qtree_release_dquot" },
	{ 0x1e4d633d, "set_cached_acl" },
	{ 0xac2c1ede, "simple_attr_release" },
	{ 0x47839b4c, "unlock_two_nondirectories" },
	{ 0xc5196999, "ocfs2_dlm_unlock" },
	{ 0x497cb95d, "dquot_resume" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0x3640ce60, "setattr_copy" },
	{ 0x40f2833e, "jbd2_journal_release_jbd_inode" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x156950be, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe02064ed, "set_nlink" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xf126ced5, "security_inode_init_security" },
	{ 0x61e4ac3c, "d_move" },
	{ 0x412f9620, "seq_putc" },
	{ 0xce1f007f, "from_kgid" },
	{ 0x433ce572, "qtree_read_dquot" },
	{ 0x4a556dce, "__bh_read" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa4ecedbc, "jbd2_journal_start_commit" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x498d115f, "blkdev_issue_zeroout" },
	{ 0x892f6b88, "jbd2_journal_ack_err" },
	{ 0xf1e046cc, "panic" },
	{ 0x275009ab, "ocfs2_plock" },
	{ 0x1ad7f081, "kobject_init_and_add" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6c73d4e8, "write_inode_now" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x8f5df5cb, "jbd2_trans_will_send_data_barrier" },
	{ 0xc42b3eb7, "jbd2_journal_extend" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd4a1d250, "__audit_inode_child" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0x7cf60318, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x680a8a0b, "__seq_open_private" },
	{ 0x7455b405, "ocfs2_kset" },
	{ 0xccf0e131, "block_dirty_folio" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2fb48049, "dquot_alloc_inode" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0xee8d9a6b, "bpf_trace_run9" },
	{ 0xc63e327b, "jbd2_journal_dirty_metadata" },
	{ 0x984866db, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc811d37b, "generic_remap_file_range_prep" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x8ab0229d, "__insert_inode_hash" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x25ba2c7a, "buffer_migrate_folio" },
	{ 0x91c62153, "debugfs_create_u32" },
	{ 0x7cc4a5d, "printk_timed_ratelimit" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5a8c528c, "register_quota_format" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf1883308, "jbd2_journal_wipe" },
	{ 0x4a814ad4, "d_delete" },
	{ 0xc4fcee0, "jbd2_journal_start" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x16cd10da, "unregister_quota_format" },
	{ 0xe534973a, "kthread_create_on_node" },
	{ 0x9f00b920, "block_read_full_folio" },
	{ 0xa095e02e, "generic_check_addressable" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x2d0728fc, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x4c19909d, "jbd2_journal_destroy" },
	{ 0x8b152030, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x38e9d05a, "unlock_buffer" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0xc7842c84, "igrab" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7faf38ce, "kobject_del" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0xdaec9022, "__dquot_free_space" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7f79c352, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc81fdc01, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfafb336, "filemap_fdatawait_range" },
	{ 0x76f40744, "ocfs2_dlm_lvb" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb567cc90, "jbd2_journal_check_used_features" },
	{ 0x6d6fec1f, "ktime_mono_to_any" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0xf8a8ace4, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x4eb6da27, "dput" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x67d70a9b, "__percpu_down_read" },
	{ 0x624655f, "jbd2_journal_force_commit" },
	{ 0x5fd7e5ef, "__lock_buffer" },
	{ 0xf581e78a, "jbd2_journal_get_undo_access" },
	{ 0xc8c3d0c, "qtree_get_next_id" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xcd499baa, "jbd2_log_wait_commit" },
	{ 0xe373f52a, "posix_acl_update_mode" },
	{ 0x3d68f8b2, "truncate_inode_pages_range" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0x62a0e546, "blkdev_issue_flush" },
	{ 0x5723b6ba, "is_bad_inode" },
	{ 0x16560f69, "rcuwait_wake_up" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x880bcf31, "block_is_partially_uptodate" },
	{ 0x9f58c10, "jbd2_journal_put_journal_head" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0xb495efb4, "done_path_create" },
	{ 0xc0eefc48, "seq_release_private" },
	{ 0x3abc158c, "end_buffer_write_sync" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5a8a3405, "iget5_locked" },
	{ 0xb15c6f29, "__generic_file_write_iter" },
	{ 0x4dc2aaed, "jbd2_journal_lock_updates" },
	{ 0x7f016c07, "filemap_write_and_wait_range" },
	{ 0x9507547f, "ocfs2_cluster_disconnect" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8dfc840f, "bpf_trace_run7" },
	{ 0xdaae3ab, "clean_bdev_aliases" },
	{ 0xd779caa2, "jbd2_journal_errno" },
	{ 0x1f9a7b20, "generic_write_checks" },
	{ 0x31c2673d, "dqget" },
	{ 0x8a84a12d, "inode_permission" },
	{ 0x246bb678, "user_path_at_empty" },
	{ 0x73cbf5db, "dqput" },
	{ 0x4d3af7fa, "ocfs2_cluster_hangup" },
	{ 0xb7e534df, "dquot_quotactl_sysfile_ops" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x1da1f2b3, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4adb363a, "make_bad_inode" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x8a7b998c, "jbd2_journal_begin_ordered_truncate" },
	{ 0x53b954a2, "up_read" },
	{ 0x49af49bd, "dquot_load_quota_inode" },
	{ 0x5a0340d5, "put_pid" },
	{ 0xa48564d0, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5aaf39c4, "jbd2_journal_flush" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3fe2ccbe, "memweight" },
	{ 0xca5b4131, "kobject_get" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd2c39e6f, "kset_create_and_add" },
	{ 0x7bab4b59, "blkdev_issue_discard" },
	{ 0x2013bf, "kobject_put" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "jbd2,ocfs2_stackglue,quota_tree,ocfs2_nodemanager");


MODULE_INFO(srcversion, "C96E7C82C06E053CE7954ED");

MODULE_INFO(suserelease, "SLE15-SP6");
