#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484700fb, "dquot_commit" },
	{ 0x1802b69c, "truncate_inode_pages" },
	{ 0xccaf5481, "bh_uptodate_or_lock" },
	{ 0xd7d65d1b, "inode_init_owner" },
	{ 0xb014033, "setattr_prepare" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x760a0f4f, "yield" },
	{ 0x62c1d0de, "clear_nlink" },
	{ 0x681d8531, "generic_block_bmap" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc758b44e, "d_instantiate" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf7d592a, "clear_inode" },
	{ 0xbf93e918, "dquot_set_dqinfo" },
	{ 0x6ee127c9, "dquot_commit_info" },
	{ 0x51eb6ed3, "grab_cache_page_write_begin" },
	{ 0x48a9b7f0, "dquot_disable" },
	{ 0x57f08f83, "dquot_release" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9d4867a, "dquot_free_inode" },
	{ 0x98ff2016, "folio_unlock" },
	{ 0x9f847c0e, "set_blocksize" },
	{ 0xabff77a2, "lookup_one_len" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xdf5f952c, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xb3762f7b, "dquot_get_state" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0xe9433b47, "mark_buffer_dirty" },
	{ 0x359f9e84, "__find_get_block" },
	{ 0x8e35e9d8, "__block_write_begin" },
	{ 0x18de50fa, "inode_set_flags" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8e616e6c, "__blockdev_direct_IO" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0x96848186, "scnprintf" },
	{ 0x5d4e1b09, "__bforget" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0x8a61c9c2, "write_dirty_buffer" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0xb43ae197, "current_time" },
	{ 0x88d63785, "folio_zero_new_buffers" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5f605118, "ihold" },
	{ 0xb8440cf9, "page_get_link" },
	{ 0x4a7380ff, "inode_dio_wait" },
	{ 0x33b34354, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x88c40121, "read_cache_page" },
	{ 0xc40efe1d, "iput" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x5eb00f51, "iter_file_splice_write" },
	{ 0x4cfe0698, "filemap_release_folio" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x7984e446, "flush_dcache_folio" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa117ce95, "generic_file_write_iter" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x9aba7dd6, "dquot_transfer" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x41814cb8, "dirty_writeback_interval" },
	{ 0x69ce1cba, "dquot_drop" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x43d7158a, "submit_bh" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa60643ac, "make_vfsuid" },
	{ 0xaae71730, "inode_get_bytes" },
	{ 0xd4e76ec1, "inode_set_bytes" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xb6d088a8, "inode_newsize_ok" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0xe312deab, "mnt_want_write_file" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f10ba8e, "dquot_quota_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x383a4008, "generic_cont_expand_simple" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xc2f8c9fc, "try_to_free_buffers" },
	{ 0xb3a0b54, "create_empty_buffers" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0x785dca83, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x6ec4e79f, "sync_mapping_buffers" },
	{ 0xc6204e94, "dquot_initialize" },
	{ 0x1c93e0db, "dquot_quota_on" },
	{ 0x9f385d1e, "blkdev_put" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xd2f18651, "xattr_full_name" },
	{ 0x79748b30, "get_inode_acl" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xa02aa74a, "__cond_resched_lock" },
	{ 0xc6cbbc89, "capable" },
	{ 0x776280b6, "mnt_drop_write_file" },
	{ 0xbe39d25d, "suse_allow_unsupported_param_ops" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x239c3929, "file_write_and_wait_range" },
	{ 0xdc7474df, "mark_buffer_async_write" },
	{ 0x85920bb3, "seq_escape_mem" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x5d482220, "dquot_set_dqblk" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2fff745, "__brelse" },
	{ 0x2aa5da88, "posix_acl_create" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0x9a9dd1ca, "shrink_dcache_sb" },
	{ 0xce807a25, "up_write" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x1e4d633d, "set_cached_acl" },
	{ 0x8adce972, "blkdev_get_by_dev" },
	{ 0x798ce737, "sync_dirty_buffer" },
	{ 0x607f0642, "__bh_read_batch" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0x497cb95d, "dquot_resume" },
	{ 0x3640ce60, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x156950be, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe02064ed, "set_nlink" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xf126ced5, "security_inode_init_security" },
	{ 0x412f9620, "seq_putc" },
	{ 0x7c268d7, "blkdev_get_by_path" },
	{ 0xce1f007f, "from_kgid" },
	{ 0xb3b476ff, "__sync_dirty_buffer" },
	{ 0x4a556dce, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0xf1e046cc, "panic" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0x4ad82fa3, "posix_acl_chmod" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2b2a3634, "__bread_gfp" },
	{ 0xccf0e131, "block_dirty_folio" },
	{ 0x2fb48049, "dquot_alloc_inode" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x984866db, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xcb805bee, "inode_owner_or_capable" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x77f98940, "suse_mark_unsupported" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x47c729b8, "make_kgid" },
	{ 0x4a814ad4, "d_delete" },
	{ 0x84f21ad5, "end_page_writeback" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xaf0cb540, "truncate_setsize" },
	{ 0x1d5d62f2, "insert_inode_locked4" },
	{ 0xaff603bf, "dquot_get_dqblk" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9f00b920, "block_read_full_folio" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x35cbff82, "redirty_page_for_writepage" },
	{ 0x8b152030, "__dquot_alloc_space" },
	{ 0xdd64e639, "strscpy" },
	{ 0x38e9d05a, "unlock_buffer" },
	{ 0xc7842c84, "igrab" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb6c99b76, "d_instantiate_new" },
	{ 0xdaec9022, "__dquot_free_space" },
	{ 0x4f4cb098, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7f79c352, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc81fdc01, "mpage_readahead" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0xf8a8ace4, "inc_nlink" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x5ccc86ae, "dquot_quota_off" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x4eb6da27, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5fd7e5ef, "__lock_buffer" },
	{ 0xe373f52a, "posix_acl_update_mode" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0xcf612e87, "dquot_quota_on_mount" },
	{ 0xa12a6c40, "filemap_dirty_folio" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0x62a0e546, "blkdev_issue_flush" },
	{ 0x5723b6ba, "is_bad_inode" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0xc6b22801, "dquot_mark_dquot_dirty" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x7d740d49, "dquot_get_next_id" },
	{ 0xa3798321, "dquot_file_open" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5a8a3405, "iget5_locked" },
	{ 0xcde64feb, "d_set_d_op" },
	{ 0xc54daf0d, "dquot_acquire" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x98cf60b3, "strlen" },
	{ 0x349cba85, "strchr" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x907bfc7a, "dquot_writeback_dquots" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4adb363a, "make_bad_inode" },
	{ 0x53b954a2, "up_read" },
	{ 0xa48564d0, "drop_nlink" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x1ca908b8, "dquot_destroy" },
	{ 0x9b7ffdfe, "dquot_alloc" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A8AB93369A2D33250531A87");

MODULE_INFO(suserelease, "SLE15-SP6");
