#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xccaf5481, "bh_uptodate_or_lock" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xd7d65d1b, "inode_init_owner" },
	{ 0x9eb97a90, "filemap_fdatawrite" },
	{ 0xf0bdd751, "generic_fillattr" },
	{ 0xb014033, "setattr_prepare" },
	{ 0x6632ca7, "vfs_fsync_range" },
	{ 0xf812cff6, "memscan" },
	{ 0x700f5a62, "iget_locked" },
	{ 0x62c1d0de, "clear_nlink" },
	{ 0x681d8531, "generic_block_bmap" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc758b44e, "d_instantiate" },
	{ 0xf7d592a, "clear_inode" },
	{ 0x51eb6ed3, "grab_cache_page_write_begin" },
	{ 0x8d73278e, "hex_asc_upper" },
	{ 0xdb4ebc95, "discard_new_inode" },
	{ 0x98ff2016, "folio_unlock" },
	{ 0xeb9eef52, "match_uint" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xdf5f952c, "new_inode" },
	{ 0x6f770994, "filemap_map_pages" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0x2875a315, "utf32_to_utf8" },
	{ 0xe9433b47, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8b618d08, "overflowuid" },
	{ 0x8e35e9d8, "__block_write_begin" },
	{ 0x4fdc8acd, "inode_query_iversion" },
	{ 0x8e616e6c, "__blockdev_direct_IO" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0xbd659b02, "block_truncate_page" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0xb43ae197, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x5f605118, "ihold" },
	{ 0xb8440cf9, "page_get_link" },
	{ 0x37a0cba, "kfree" },
	{ 0x52630956, "generic_file_fsync" },
	{ 0x88c40121, "read_cache_page" },
	{ 0xf0f554f8, "finish_open" },
	{ 0xc40efe1d, "iput" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x5eb00f51, "iter_file_splice_write" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0xc7a85c57, "d_tmpfile" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xd423c62b, "block_invalidate_folio" },
	{ 0xae2e69c4, "generic_write_end" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xdec72df3, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xab385d4b, "make_kuid" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0xd72d936, "inode_sub_bytes" },
	{ 0x747a5b24, "wait_for_stable_page" },
	{ 0x7171121c, "overflowgid" },
	{ 0x488dcfe0, "invalidate_inode_buffers" },
	{ 0x7a8ddc80, "block_commit_write" },
	{ 0xc6cbbc89, "capable" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x40774830, "cdrom_get_last_written" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x2fff745, "__brelse" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0x77457e02, "inode_maybe_inc_iversion" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x4e3567f7, "match_int" },
	{ 0xda341498, "truncate_pagecache" },
	{ 0x798ce737, "sync_dirty_buffer" },
	{ 0x9ba8ff51, "insert_inode_locked" },
	{ 0x607f0642, "__bh_read_batch" },
	{ 0x3640ce60, "setattr_copy" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xe75a5cdf, "write_cache_pages" },
	{ 0xe5357b8, "file_update_time" },
	{ 0xe02064ed, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce1f007f, "from_kgid" },
	{ 0x4a556dce, "__bh_read" },
	{ 0x9166fada, "strncpy" },
	{ 0x20d7bb94, "cdrom_multisession" },
	{ 0x44afe3aa, "mpage_writepages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2b2a3634, "__bread_gfp" },
	{ 0xccf0e131, "block_dirty_folio" },
	{ 0x129c9561, "inode_add_bytes" },
	{ 0x345d6e8f, "mpage_read_folio" },
	{ 0x984866db, "from_kuid" },
	{ 0xdcb764ad, "memset" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x25ba2c7a, "buffer_migrate_folio" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xaf0cb540, "truncate_setsize" },
	{ 0x9f944a43, "set_page_dirty" },
	{ 0x38e9d05a, "unlock_buffer" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0xb6c99b76, "d_instantiate_new" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7f79c352, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc81fdc01, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0xf8a8ace4, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x4b0c607f, "touch_atime" },
	{ 0x67d70a9b, "__percpu_down_read" },
	{ 0x5fd7e5ef, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x1132ed8a, "generic_file_open" },
	{ 0x9c94e069, "__folio_lock" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0x5723b6ba, "is_bad_inode" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x16560f69, "rcuwait_wake_up" },
	{ 0x20136cf0, "block_write_begin" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xb15c6f29, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x1f9a7b20, "generic_write_checks" },
	{ 0x8a84a12d, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x1da1f2b3, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4adb363a, "make_bad_inode" },
	{ 0xd3afde4c, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x816588dd, "mark_buffer_dirty_inode" },
	{ 0xa48564d0, "drop_nlink" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5e002032, "iget_failed" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "cdrom,crc-itu-t");


MODULE_INFO(srcversion, "54ABDA04F886D16A49ECF85");

MODULE_INFO(suserelease, "SLE15-SP6");
