#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_br_ops, 0xab4df479, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x2a0e2cf5, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x5d25324c, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x311a616d, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xf0aeeaf5, "_gpl");
SYMBOL_CRC(br_forward, 0x8e887724, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xd970a9a2, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x9e5fb902, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x47d0ddc7, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x36e62549, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x6cff2a66, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xba36b36a, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x2e46a0e9, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x7c369a31, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x119e42b1, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xe96263ba, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xbca9563a, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x7446ada1, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x64ddbcb1, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x8430353f, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x9301465f, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x4f37eb20, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xf8c60734, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x4ab8760b, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x723f6dd5, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5f793ad, "netdev_lower_get_next" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x30f12da, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe863f939, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0xa65c8bbd, "__nlmsg_put" },
	{ 0x3ac8208f, "switchdev_port_attr_set" },
	{ 0x8491cd7b, "ipv6_mc_check_mld" },
	{ 0x9c484401, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x927b899f, "call_switchdev_notifiers" },
	{ 0x7e5615ec, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x143e8896, "netdev_update_features" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf3fb2fb, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc958b499, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x35843e50, "__traceiter_br_fdb_update" },
	{ 0x190e5609, "dev_uc_del" },
	{ 0xf3b737b7, "netpoll_send_skb" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x190cf00c, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x70d4ba15, "switchdev_port_obj_act_is_deferred" },
	{ 0x47a1a52f, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4250d97, "dev_set_promiscuity" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x930a6d5f, "netdev_state_change" },
	{ 0x4f854c06, "__dev_get_by_name" },
	{ 0x53f8d7ce, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x153b6a3d, "netdev_err" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xbc918ad6, "brioctl_set" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x944ec68a, "arp_xmit" },
	{ 0x207ce8fd, "__traceiter_br_mdb_full" },
	{ 0x4229382d, "alloc_netdev_mqs" },
	{ 0x254895ca, "passthru_features_check" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1054b8d6, "netdev_rx_handler_unregister" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9449c5cd, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xe749f498, "rtnl_set_sk_err" },
	{ 0xb1143571, "skb_vlan_pop" },
	{ 0xb2be8461, "sysfs_create_link" },
	{ 0xaef3369a, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x27a81f84, "nla_reserve_64bit" },
	{ 0xcb274db9, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x7695aa40, "dev_get_port_parent_id" },
	{ 0xc9f9f474, "init_net" },
	{ 0xbecb9243, "ipv6_stub" },
	{ 0xa2e9e320, "inet_confirm_addr" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xad31732b, "sysfs_remove_link" },
	{ 0x16b15b4b, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2e6c5d88, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x52e687db, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x95666b5a, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xb8bb53ad, "br_fdb_test_addr_hook" },
	{ 0xdd086547, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xbc6acbcd, "netdev_upper_dev_unlink" },
	{ 0x26b3a6ec, "netif_receive_skb" },
	{ 0x7965889, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x8385ae5c, "llc_mac_hdr_init" },
	{ 0xfc654e8f, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x1ad7f081, "kobject_init_and_add" },
	{ 0x776a45ee, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf8721793, "ns_capable" },
	{ 0x20bd5145, "inet_select_addr" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa828adb1, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xde5cff58, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe676a362, "arp_create" },
	{ 0xdcd7c887, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd4144392, "stp_proto_register" },
	{ 0xe9927d7d, "rtnl_register_module" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x72644289, "sysfs_rename_link_ns" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x8bc873ee, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xc257a238, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x683ef4cf, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xe52bdf5, "ip_mc_check_igmp" },
	{ 0xede8feb3, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xee20b4f8, "switchdev_port_obj_del" },
	{ 0xd6b4f9a0, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x63a531df, "kobject_create_and_add" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0x2423996a, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdb026862, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2ff5b022, "__ip_mc_inc_group" },
	{ 0xd35f10af, "netdev_walk_all_upper_dev_rcu" },
	{ 0xe5a886f9, "sysfs_remove_group" },
	{ 0xba970434, "__traceiter_br_fdb_external_learn_add" },
	{ 0x32f17abc, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x778fde85, "__netpoll_setup" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x43f09a30, "vlan_vid_add" },
	{ 0xd626d50d, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x7faf38ce, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37e06fb, "call_netdevice_notifiers" },
	{ 0xc94671d9, "is_skb_forwardable" },
	{ 0x7cfe8893, "vlan_vid_del" },
	{ 0x26d422, "dev_set_allmulti" },
	{ 0x5a019a7b, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc74eec16, "netdev_master_upper_dev_get" },
	{ 0xa68339f1, "ipv6_dev_mc_inc" },
	{ 0xcc3bc706, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb53e5d2, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x59ef7a24, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2286e2cc, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x65177bd2, "skb_clone" },
	{ 0x880dadf9, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1678be1, "dst_release" },
	{ 0xdbd571cc, "netif_carrier_on" },
	{ 0x1ecd30a8, "kobject_uevent" },
	{ 0x24441f00, "arp_tbl" },
	{ 0x96cf4825, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x99b5fb3c, "netdev_rx_handler_register" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xf98dc976, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xeecc7d18, "netif_set_tso_max_size" },
	{ 0x39794d64, "dev_disable_lro" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x1db8b897, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa34c2420, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xce9c8f77, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x2fbb06ca, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x889a0c98, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x184da8d3, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x26a4160, "skb_ext_add" },
	{ 0x69f67597, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xc5f511d0, "stp_proto_unregister" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xe6cb4434, "neigh_lookup" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2013bf, "kobject_put" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "8B42868C75CEB29353C03EB");

MODULE_INFO(suserelease, "SLE15-SP6");
