#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(hsr_get_version, 0x1791965b, "");
SYMBOL_CRC(is_hsr_master, 0x2ee8ee85, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30f12da, "dev_set_mtu" },
	{ 0x65310710, "__skb_pad" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x67b90269, "eth_header" },
	{ 0x9c484401, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x143e8896, "netdev_update_features" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0x653f9a14, "genlmsg_put" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4250d97, "dev_set_promiscuity" },
	{ 0x27fe343, "seq_lseek" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xa82afc4, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0x6434bdc7, "netlink_ack" },
	{ 0x930a6d5f, "netdev_state_change" },
	{ 0xa8bd65aa, "__pskb_copy_fclone" },
	{ 0x53f8d7ce, "ether_setup" },
	{ 0x6168acdc, "netlink_broadcast_filtered" },
	{ 0x153b6a3d, "netdev_err" },
	{ 0x1f4d2e69, "netdev_upper_dev_link" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1054b8d6, "netdev_rx_handler_unregister" },
	{ 0x30f00e16, "eth_header_parse" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x5989ff6c, "skb_copy_expand" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0xc9f9f474, "init_net" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2507800f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xb4177b94, "netdev_printk" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0xbc6acbcd, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0x683ef4cf, "netif_rx" },
	{ 0xede8feb3, "__netdev_alloc_skb" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d0728fc, "seq_read" },
	{ 0xad551c57, "debugfs_rename" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x37e06fb, "call_netdevice_notifiers" },
	{ 0xa5976e4f, "dev_base_lock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb53e5d2, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x65177bd2, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xdbd571cc, "netif_carrier_on" },
	{ 0x99b5fb3c, "netdev_rx_handler_register" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x154b24cd, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4376531b, "genl_unregister_family" },
	{ 0x39794d64, "dev_disable_lro" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xce9c8f77, "dev_kfree_skb_any_reason" },
	{ 0x89e97257, "single_open" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0x4436d013, "genl_register_family" },
	{ 0xbcd5efcf, "netdev_core_stats_inc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xb6abf861, "netdev_info" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3843624DF97E98A5E44D05F");

MODULE_INFO(suserelease, "SLE15-SP6");
