#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x03e367ae, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xb477ff90, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x865e583e, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x620d1e85, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x92042c43, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xf03204fa, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xd0569b99, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x290311c5, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x2f52104e, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x06a506c2, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xb87075c2, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x8d6807db, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b8fb34d, "ipv6_chk_addr_and_flags" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xd893e1a8, "ip6tun_encaps" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x7965889, "nla_put" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4229382d, "alloc_netdev_mqs" },
	{ 0xfc654e8f, "free_netdev" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0x802f756b, "rt6_lookup" },
	{ 0xe1678be1, "dst_release" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x930a6d5f, "netdev_state_change" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3a35c2e5, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc9f9f474, "init_net" },
	{ 0x45e47d76, "register_netdev" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0x18f3856c, "xfrm6_tunnel_deregister" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0xe3563c2a, "xfrm6_tunnel_register" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xab385d4b, "make_kuid" },
	{ 0xfad859d1, "ip6_update_pmtu" },
	{ 0xd2a2a744, "ip6_redirect" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0xe077a687, "ip6_route_output_flags" },
	{ 0x6e778b7c, "dst_cache_get" },
	{ 0x248d3a56, "xfrm_lookup" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x96e08960, "skb_scrub_packet" },
	{ 0xbadc0c12, "skb_realloc_headroom" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xe9e5f121, "skb_push" },
	{ 0x744d1aaf, "ip6_local_out" },
	{ 0xaef3369a, "ipv6_dev_get_saddr" },
	{ 0x36cf2d1f, "dst_cache_set_ip6" },
	{ 0xed6bbd69, "ipv6_push_frag_opts" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9f06a396, "ip6_dst_hoplimit" },
	{ 0xd626d50d, "neigh_destroy" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xd2ea639c, "iptunnel_handle_offloads" },
	{ 0x48449f3, "icmpv6_ndo_send" },
	{ 0xd4db38ef, "icmp_ndo_send" },
	{ 0x65177bd2, "skb_clone" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x10780f1, "icmp6_send" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3419f7e7, "gro_cells_init" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0x3c9d4cb9, "ip_route_input_noref" },
	{ 0x976781f5, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb57f7e5, "gro_cells_receive" },
	{ 0x459f4f13, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x222f608b, "__iptunnel_pull_header" },
	{ 0x880dadf9, "metadata_dst_alloc" },
	{ 0x9811bf, "__xfrm_policy_check" },
	{ 0xf8721793, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc257a238, "dev_get_tstats64" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "SLE15-SP6");
