#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mpls_output_possible, 0xedcf6c28, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x4a366404, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xa2d85ace, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x03b0de70, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x659c8109, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x4badb62d, "netlink_strict_get_check" },
	{ 0x152c2eb2, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa65c8bbd, "__nlmsg_put" },
	{ 0x6402a6d5, "skb_gso_validate_network_len" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xf1978377, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4122fac9, "nla_reserve" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x9250f564, "neigh_xmit" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x9449c5cd, "rtnl_af_register" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0xe749f498, "rtnl_set_sk_err" },
	{ 0x8325a210, "rtnl_unicast" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x27a81f84, "nla_reserve_64bit" },
	{ 0x6896268d, "ip_valid_fib_dump_req" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0xbecb9243, "ipv6_stub" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xbc4911e, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2e6c5d88, "rtnl_af_unregister" },
	{ 0x9c4c3f31, "dev_remove_pack" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xe9e5f121, "skb_push" },
	{ 0x7965889, "nla_put" },
	{ 0xcd279169, "nla_find" },
	{ 0x776a45ee, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe9927d7d, "rtnl_register_module" },
	{ 0x390ed489, "ip_tunnel_encap_del_ops" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xcc3bc706, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x65177bd2, "skb_clone" },
	{ 0xe1678be1, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xa34c2420, "dev_get_flags" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2E8F8DDC0476B2E94FF5348");

MODULE_INFO(suserelease, "SLE15-SP6");
