#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x1bb395dc, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xcd095605, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xb1925307, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x38973973, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xc4be470c, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0x167125d8, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x4af874cb, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xd789d197, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x8d0ba3af, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x25dac5da, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x2cd03a6a, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x2c84aa57, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0xbddb1b45, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0xbc1bd2b3, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x1fc45be7, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x1bdea8c0, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xeeea4c5e, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xd40a81ce, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x33c02e90, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xa51bc199, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xf267c388, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xea689628, "_gpl");
SYMBOL_CRC(print_tuple, 0x858d04d7, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x415aaef6, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x07fc60ba, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x4eb32981, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x0b710c8e, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xfc5b16ed, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xa122a55c, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x90e5fa37, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x40b89355, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xce8f093c, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xabfda986, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xfe19dff4, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x5c1eb8c4, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x3c8daee7, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xcad886f9, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xb342f65e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xafd10bc0, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xc998f177, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x3e79d9e8, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xefbd20b2, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x855fba7a, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xdff5d92b, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xa9f16b9d, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x0e779cfb, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x8a6a31fe, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xf04dd98b, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x999a33fe, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x2bc65878, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xe3b6aee5, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xe0b3f715, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x5a95f6c4, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x4283bd65, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x28cdee17, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x33d49234, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x4218ce0f, "_gpl");
SYMBOL_CRC(nf_confirm, 0x43f58d32, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xe6563602, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xec7a31f2, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xf5fc5f2a, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x6af5ba8d, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xa4b678da, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x8f98f9f3, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xac6f4b4f, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x5607ae3a, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x8301f52e, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x5b5354ec, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xa9e0ecf1, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x6f484617, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x78dbfbdc, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x6cdcbe1b, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x7e684fd5, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x2a2a8fb9, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xfb28e9e2, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0xf9619446, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x7d7f28ee, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xd10af905, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xade8a5ed, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xbed0f2fe, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xa438a000, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x795351f0, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0xca765294, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x8e9d1066, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x53f642aa, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xe1db8506, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x048b992d, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90731e18, "__do_once_done" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xfcf85328, "nf_defrag_ipv4_disable" },
	{ 0x3d167f16, "nf_ip6_checksum" },
	{ 0xfc03a4ca, "proc_dou8vec_minmax" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13718f55, "nf_register_sockopt" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xed566033, "nfct_btf_struct_access" },
	{ 0x7d2e7d42, "param_set_uint" },
	{ 0x1498787d, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xecc1050f, "nf_ct_frag6_gather" },
	{ 0x9046f12f, "get_net_ns_by_id" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x411b7779, "nf_ct_hook" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6852b74e, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xfe0cc3ec, "nf_unregister_sockopt" },
	{ 0x40a74648, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xab385d4b, "make_kuid" },
	{ 0x2d8d9a51, "nf_defrag_ipv6_disable" },
	{ 0x7fb9e244, "ipv6_skip_exthdr" },
	{ 0xb148ebbb, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xf9b56dad, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa68ea433, "nf_checksum" },
	{ 0x51d13875, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0xc9f9f474, "init_net" },
	{ 0xf1503ea3, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x412f9620, "seq_putc" },
	{ 0x7965889, "nla_put" },
	{ 0x7ca476b8, "nf_checksum_partial" },
	{ 0x8dd38a5a, "skb_ensure_writable" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xd735ffc0, "nf_unregister_net_hooks" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x72c47285, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x278134a9, "nf_log_packet" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xec44bd7a, "nf_ip_checksum" },
	{ 0x96dd2e1e, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xe11a194f, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x397a40c1, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x95f40833, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0x3ee33fc1, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc2970678, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3649bd6d, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x30a0ca4, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x2b045f1e, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6,libcrc32c");


MODULE_INFO(srcversion, "22955FE5135F4625813419B");

MODULE_INFO(suserelease, "SLE15-SP6");
