#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__ovs_vport_ops_register, 0x45fd4038, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x12e340ca, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x8a840a4e, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x4446773f, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x9248b7a3, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xead595bb, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4b678da, "nf_ct_ext_add" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0x86cc004b, "nsh_pop" },
	{ 0x167125d8, "nf_conntrack_find_get" },
	{ 0x78dbfbdc, "nf_ct_set_timeout" },
	{ 0x6dc9e84a, "dev_get_stats" },
	{ 0x2b96ad05, "__nla_put" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x74b071b0, "dev_fill_metadata_dst" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x53f642aa, "nf_ct_handle_fragments" },
	{ 0xeced32, "eth_mac_addr" },
	{ 0x9c484401, "skb_put" },
	{ 0xdce56439, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd0d3310, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x56942499, "nf_ct_nat" },
	{ 0x4122fac9, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x26892361, "skb_eth_pop" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x203f7179, "skb_gso_validate_mac_len" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xefbd20b2, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x795351f0, "nf_ct_helper" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x5c3b0150, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x23f468d2, "rtnl_delete_link" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0xa438a000, "nf_connlabels_put" },
	{ 0x653f9a14, "genlmsg_put" },
	{ 0x10d93445, "___pskb_trim" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4250d97, "dev_set_promiscuity" },
	{ 0x6cdcbe1b, "nf_ct_destroy_timeout" },
	{ 0xca765294, "nf_ct_add_helper" },
	{ 0xafd10bc0, "nf_conntrack_helper_put" },
	{ 0xf53d413c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8e9d1066, "nf_ct_skb_network_trim" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xd5e6355, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0x53f8d7ce, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6168acdc, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0xc09e53d6, "skb_csum_hwoffload_help" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0xade8a5ed, "nf_connlabels_replace" },
	{ 0x459f4f13, "eth_type_trans" },
	{ 0x4229382d, "alloc_netdev_mqs" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xbed0f2fe, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x1054b8d6, "netdev_rx_handler_unregister" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa84b45cd, "skb_eth_push" },
	{ 0x26a2fd32, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0xb710c8e, "__nf_ct_expect_find" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xad9f032f, "skb_mpls_pop" },
	{ 0xb1143571, "skb_vlan_pop" },
	{ 0x89b3185e, "dst_init" },
	{ 0xf9b56dad, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xfdbc5cfb, "__skb_get_hash" },
	{ 0xc9f9f474, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xbecb9243, "ipv6_stub" },
	{ 0x152dac28, "skb_mpls_update_lse" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2507800f, "netlink_unicast" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xbc6acbcd, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x8dd38a5a, "skb_ensure_writable" },
	{ 0xfc654e8f, "free_netdev" },
	{ 0x776a45ee, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xde5cff58, "ethtool_op_get_link" },
	{ 0x8d0ba3af, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0xc998f177, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xc4be470c, "nf_ct_delete" },
	{ 0x95bbda2e, "nf_conncount_init" },
	{ 0x3ae62862, "skb_vlan_push" },
	{ 0xc257a238, "dev_get_tstats64" },
	{ 0x683ef4cf, "netif_rx" },
	{ 0xede8feb3, "__netdev_alloc_skb" },
	{ 0xd6b4f9a0, "netdev_master_upper_dev_link" },
	{ 0x855965ff, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xf4186b29, "inet_proto_csum_replace16" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96e08960, "skb_scrub_packet" },
	{ 0xfb28e9e2, "nf_ct_deliver_cached_events" },
	{ 0x426ccb60, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcb0ae856, "skb_tx_error" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x397a40c1, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3ee33fc1, "inet_proto_csum_replace4" },
	{ 0xb98ac7ba, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe1036d3d, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc74eec16, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf24a2a7, "dev_get_by_name" },
	{ 0x65177bd2, "skb_clone" },
	{ 0x880dadf9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1678be1, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xcd5ba0bb, "peernet2id_alloc" },
	{ 0x1bb395dc, "nf_ct_get_tuplepr" },
	{ 0x99b5fb3c, "netdev_rx_handler_register" },
	{ 0x75c0bfe8, "ip_do_fragment" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x4376531b, "genl_unregister_family" },
	{ 0x39794d64, "dev_disable_lro" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xce9c8f77, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4436d013, "genl_register_family" },
	{ 0x38973973, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5a387d70, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x122bd1a8, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x94e18844, "skb_mpls_push" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0xbddb1b45, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc7a6d441, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x89fe0dd7, "__skb_vlan_pop" },
	{ 0xb1925307, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nsh,nf_nat,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "2D4EBC0B13C159E45CEE1A9");

MODULE_INFO(suserelease, "SLE15-SP6");
