#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(qrtr_endpoint_post, 0x3b5d9e7c, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0x422e5b08, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xf6dc7bf2, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xb4db5d53, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x5df9988e, "sock_queue_rcv_skb_reason" },
	{ 0x65310710, "__skb_pad" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x9c484401, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xce28b1c3, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1de04654, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x7589848, "sk_error_report" },
	{ 0x19c3178a, "skb_queue_purge_reason" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x4de80b69, "sock_register" },
	{ 0x55638615, "datagram_poll" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x839226b4, "sock_no_shutdown" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xc9f9f474, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6b26fba2, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x1ed0f226, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe9e5f121, "skb_push" },
	{ 0x9d4707a2, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xede8feb3, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x848ddfd3, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xf9d1727f, "skb_recv_datagram" },
	{ 0x48f27fb6, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x65177bd2, "skb_clone" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0x39cf629a, "sock_release" },
	{ 0x42b7d1cc, "sock_gettstamp" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c7312ae, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x3bf1021d, "release_sock" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0C026F46A340A1D8F9760DD");

MODULE_INFO(suserelease, "SLE15-SP6");
