#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(rds_cong_map_updated, 0x20c5e653, "_gpl");
SYMBOL_CRC(rds_conn_create, 0x2700f158, "_gpl");
SYMBOL_CRC(rds_conn_create_outgoing, 0xfa11bca1, "_gpl");
SYMBOL_CRC(rds_conn_destroy, 0x543ca7d5, "_gpl");
SYMBOL_CRC(rds_for_each_conn_info, 0x2e3a7637, "_gpl");
SYMBOL_CRC(rds_conn_path_drop, 0x039052e8, "_gpl");
SYMBOL_CRC(rds_conn_drop, 0xcf2ae65f, "_gpl");
SYMBOL_CRC(rds_conn_path_connect_if_down, 0xf2f20d6d, "_gpl");
SYMBOL_CRC(rds_conn_connect_if_down, 0x2aecc991, "_gpl");
SYMBOL_CRC(rds_info_register_func, 0xbd593a39, "_gpl");
SYMBOL_CRC(rds_info_deregister_func, 0xf4599d24, "_gpl");
SYMBOL_CRC(rds_info_copy, 0xc2dab779, "_gpl");
SYMBOL_CRC(rds_message_addref, 0xdde2634e, "_gpl");
SYMBOL_CRC(rds_message_put, 0xdf37666a, "_gpl");
SYMBOL_CRC(rds_message_populate_header, 0x585f567b, "_gpl");
SYMBOL_CRC(rds_message_add_extension, 0x2b0d543c, "_gpl");
SYMBOL_CRC(rds_message_add_rdma_dest_extension, 0x582fe5cf, "_gpl");
SYMBOL_CRC(rds_message_unmapped, 0x3bfdf4d7, "_gpl");
SYMBOL_CRC(rds_inc_init, 0x7d2d5aa7, "_gpl");
SYMBOL_CRC(rds_inc_path_init, 0xb0b662a6, "_gpl");
SYMBOL_CRC(rds_inc_put, 0xe6622d0e, "_gpl");
SYMBOL_CRC(rds_recv_incoming, 0x7c1bea11, "_gpl");
SYMBOL_CRC(rds_send_path_reset, 0x175b7685, "_gpl");
SYMBOL_CRC(rds_send_xmit, 0x025f3926, "_gpl");
SYMBOL_CRC(rds_rdma_send_complete, 0xff37c201, "_gpl");
SYMBOL_CRC(rds_atomic_send_complete, 0x7202ef29, "_gpl");
SYMBOL_CRC(rds_send_path_drop_acked, 0x753f295e, "_gpl");
SYMBOL_CRC(rds_send_drop_acked, 0x297945ac, "_gpl");
SYMBOL_CRC(rds_send_ping, 0xbad6c420, "_gpl");
SYMBOL_CRC(rds_stats, 0x36087aa4, "_gpl");
SYMBOL_CRC(rds_stats_info_copy, 0x85e4e520, "_gpl");
SYMBOL_CRC(rds_wq, 0x00a467af, "_gpl");
SYMBOL_CRC(rds_connect_path_complete, 0x5d1714e7, "_gpl");
SYMBOL_CRC(rds_connect_complete, 0xf16cf937, "_gpl");
SYMBOL_CRC(rds_addr_cmp, 0x45a4781e, "_gpl");
SYMBOL_CRC(rds_trans_register, 0x4724f231, "_gpl");
SYMBOL_CRC(rds_trans_unregister, 0xe9e7a3a3, "_gpl");
SYMBOL_CRC(rds_page_remainder_alloc, 0x9dcbbbf0, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe66a9097, "pin_user_pages_fast" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x90731e18, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x51136a7b, "unpin_user_pages_dirty_lock" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x1ba447c2, "unpin_user_pages" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9fd082cb, "iov_iter_get_pages2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4004f4c5, "put_cmsg" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x4de80b69, "sock_register" },
	{ 0xad395dd9, "mm_account_pinned_pages" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0xf9b56dad, "module_put" },
	{ 0x839226b4, "sock_no_shutdown" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc9f9f474, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5efde8e6, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0x1ed0f226, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x9d4707a2, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf79df08, "sock_recv_errqueue" },
	{ 0x459e6151, "mm_unaccount_pinned_pages" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x8ae1658f, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xee08504b, "unpin_user_page" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x668b19a1, "down_read" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa276099f, "copy_page_from_iter" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xfd13f6d5, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x98cf60b3, "strlen" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0xce888a42, "iov_iter_npages" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "98ED5423CE9223AB49269DC");

MODULE_INFO(suserelease, "SLE15-SP6");
