#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x20c5e653, "rds_cong_map_updated" },
	{ 0xcf2ae65f, "rds_conn_drop" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x45c551fc, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdde2634e, "rds_message_addref" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f3cfeb, "__ib_alloc_pd" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x8a30e630, "rdma_resolve_addr" },
	{ 0xd6b25630, "dma_sync_single_for_device" },
	{ 0x4f717b43, "rdma_set_service_type" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xe9e7a3a3, "rds_trans_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xf4599d24, "rds_info_deregister_func" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b8fa97a, "ib_advise_mr" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x944ea6dd, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x7f4fe6df, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd00d4fce, "rdma_disconnect" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0x2e3a7637, "rds_for_each_conn_info" },
	{ 0x582fe5cf, "rds_message_add_rdma_dest_extension" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xa467af, "rds_wq" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xf8dfaa34, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x549e449e, "kmalloc_node_trace" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xc8a4fd45, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0x7202ef29, "rds_atomic_send_complete" },
	{ 0x2aecc991, "rds_conn_connect_if_down" },
	{ 0x2404b8a4, "rdma_bind_addr" },
	{ 0xb426369d, "ib_register_client" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xdbcc5458, "rdma_create_qp" },
	{ 0x543ca7d5, "rds_conn_destroy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x925e3d03, "ib_map_mr_sg" },
	{ 0xff37c201, "rds_rdma_send_complete" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf985f98, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xc9f9f474, "init_net" },
	{ 0x297945ac, "rds_send_drop_acked" },
	{ 0xce807a25, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6debaa88, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0x25f3926, "rds_send_xmit" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x85e4e520, "rds_stats_info_copy" },
	{ 0xe6622d0e, "rds_inc_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2b0d543c, "rds_message_add_extension" },
	{ 0x44ae3e14, "rdma_notify" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd60a0f68, "rdma_listen" },
	{ 0xbd593a39, "rds_info_register_func" },
	{ 0x34ce8fcc, "rdma_destroy_qp" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x9dcbbbf0, "rds_page_remainder_alloc" },
	{ 0x8ae1658f, "copy_page_to_iter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdbb96a4b, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xaf9843a2, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf4353d92, "ib_alloc_mr" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb783b32e, "rdma_connect_locked" },
	{ 0xb98c9bbe, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x7d2d5aa7, "rds_inc_init" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f944a43, "set_page_dirty" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x26be8b1, "rdma_set_min_rnr_timer" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7c1bea11, "rds_recv_incoming" },
	{ 0x8b30c8d8, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd42a7382, "rdma_destroy_id" },
	{ 0x2f71e230, "rdma_read_gids" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xbea505d2, "ib_reg_user_mr" },
	{ 0x2700f158, "rds_conn_create" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc95ed52c, "rdma_accept" },
	{ 0x36087aa4, "rds_stats" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x3bfdf4d7, "rds_message_unmapped" },
	{ 0x39052e8, "rds_conn_path_drop" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xd3b3a6d1, "ib_dealloc_pd_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0xf16cf937, "rds_connect_complete" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x1db8b897, "ipv6_chk_addr" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0xb1e755bd, "rdma_consumer_reject_data" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xdf37666a, "rds_message_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x585f567b, "rds_message_populate_header" },
	{ 0x4724f231, "rds_trans_register" },
	{ 0x53b954a2, "up_read" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x14251179, "dma_map_sg_attrs" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "rds,ib_core,rdma_cm");


MODULE_INFO(srcversion, "DC891D945A5223E4B7EF669");

MODULE_INFO(suserelease, "SLE15-SP6");
