#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0xecc030d4, "xprt_write_space" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x13c65c5, "xprt_free_slot" },
	{ 0x9cd91791, "register_sysctl" },
	{ 0x2f6e0c65, "rdma_rw_ctx_destroy" },
	{ 0xae7960fa, "xprt_release_rqst_cong" },
	{ 0xbfe4dbd5, "rdma_rw_mr_factor" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe99f95c0, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x5b04466d, "xprt_disconnect_done" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xa9f3cfeb, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x8a30e630, "rdma_resolve_addr" },
	{ 0xd6b25630, "dma_sync_single_for_device" },
	{ 0xb00fc45f, "xprt_reserve_xprt_cong" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x817a03fc, "xprt_get" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xd5ee9418, "xprt_wait_for_buffer_space" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x944ea6dd, "ib_dereg_mr_user" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x2fcfad40, "xprt_wake_up_backlog" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x1145c52, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xd452217, "xprt_complete_rqst" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd00d4fce, "rdma_disconnect" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x215a9b68, "xprt_put" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x923a26e8, "ib_drain_sq" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0x81987560, "xprt_lock_connect" },
	{ 0xc415b775, "rdma_lock_handler" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xf8dfaa34, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd691c6a9, "unregister_sysctl_table" },
	{ 0x83423cda, "xprt_alloc_slot" },
	{ 0xa916b694, "strnlen" },
	{ 0x549e449e, "kmalloc_node_trace" },
	{ 0xc8a4fd45, "rdma_resolve_route" },
	{ 0xb9d025c9, "llist_del_first" },
	{ 0xf9b56dad, "module_put" },
	{ 0x2404b8a4, "rdma_bind_addr" },
	{ 0xe0358314, "svc_xprt_put" },
	{ 0xdbcc5458, "rdma_create_qp" },
	{ 0x5fd6db74, "xprt_pin_rqst" },
	{ 0x925e3d03, "ib_map_mr_sg" },
	{ 0xfb858555, "rdma_rw_ctx_wrs" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xea293ceb, "__ib_alloc_cq_any" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xec1536aa, "svc_xprt_deferred_close" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0x57169a5f, "xprt_release_xprt_cong" },
	{ 0x4254bd5a, "svc_xprt_copy_addrs" },
	{ 0x84d756e1, "xdr_init_decode" },
	{ 0x21d3ef28, "svc_xprt_received" },
	{ 0xdcfd06d3, "rdma_set_afonly" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x6907955d, "rdma_unlock_handler" },
	{ 0x2c2c99b3, "xprt_unregister_transport" },
	{ 0xd60a0f68, "rdma_listen" },
	{ 0x34ce8fcc, "rdma_destroy_qp" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0x368e84f0, "ib_destroy_qp_user" },
	{ 0xaf9843a2, "dma_sync_single_for_cpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xd27663ce, "svc_xprt_init" },
	{ 0xf4353d92, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x4c9d495e, "ib_drain_rq" },
	{ 0x92d7dfe4, "xdr_buf_subsegment" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xce23c8f0, "svc_unreg_xprt_class" },
	{ 0xb162d236, "rdma_connect" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc42af93e, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xae95db6f, "xprt_wake_pending_tasks" },
	{ 0x88b67ab7, "xprt_unpin_rqst" },
	{ 0x70a0378e, "rpcb_getport_async" },
	{ 0x289f5e6b, "xprt_add_backlog" },
	{ 0x569a1de9, "xprt_alloc" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x8b30c8d8, "ib_dma_virt_map_sg" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x1eb8091a, "xprt_request_get_cong" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xacab608f, "ib_free_cq" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x53126ecc, "__percpu_counter_sum" },
	{ 0xd42a7382, "rdma_destroy_id" },
	{ 0xe2d1be5b, "xprt_free" },
	{ 0xad2f8c3, "xprt_force_disconnect" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xc95ed52c, "rdma_accept" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x955e84b1, "xprt_unlock_connect" },
	{ 0xe7a7b16b, "xprt_register_transport" },
	{ 0x76988023, "svc_reg_xprt_class" },
	{ 0xd1d94397, "svc_xprt_enqueue" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xe8f48c28, "ib_drain_qp" },
	{ 0xd3b3a6d1, "ib_dealloc_pd_user" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x98cf60b3, "strlen" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xe5c60bd2, "percpu_counter_set" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xfe180490, "svc_xprt_close" },
	{ 0x70c35f32, "xprt_wait_for_reply_request_def" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0x8505c4d1, "xdr_init_encode" },
	{ 0x93f1bef8, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbe79270d, "xprt_lookup_rqst" },
	{ 0xd9113b7e, "xprt_reconnect_delay" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xf38c9e84, "xprt_reconnect_backoff" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x14251179, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8e90109b, "rdma_rw_ctx_init" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,ib_core,rdma_cm");


MODULE_INFO(srcversion, "5A0066920F9378E0E91B825");

MODULE_INFO(suserelease, "SLE15-SP6");
