#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(tipc_nl_sk_walk, 0xd4114854, "");
SYMBOL_CRC(tipc_dump_start, 0xcbadf804, "");
SYMBOL_CRC(tipc_dump_done, 0x4fa584a4, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xeeab88a5, "");

MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddbf9f05, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x44ec0bd, "sock_i_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa65c8bbd, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x9c484401, "skb_put" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9f06a396, "ip6_dst_hoplimit" },
	{ 0x7648dea5, "trace_output_call" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xf1978377, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xb22b2c07, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x546da82c, "__ip_dev_find" },
	{ 0xa80bda55, "dst_cache_set_ip4" },
	{ 0x1a3695f6, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x653f9a14, "genlmsg_put" },
	{ 0x10d93445, "___pskb_trim" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0x7d317045, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xa82afc4, "netdev_warn" },
	{ 0xd0b91fa0, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x70e0e78f, "crypto_aead_decrypt" },
	{ 0xba6ab5d1, "kernel_accept" },
	{ 0x1145c52, "__module_get" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa8bd65aa, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x4004f4c5, "put_cmsg" },
	{ 0x19c3178a, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0x459f4f13, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x4de80b69, "sock_register" },
	{ 0x79c6cfd0, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x8eb07073, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x658b4e1e, "skb_try_coalesce" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0x5989ff6c, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x8c4111b, "skb_queue_tail" },
	{ 0xf9b56dad, "module_put" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xdc755710, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xc9f9f474, "init_net" },
	{ 0xbecb9243, "ipv6_stub" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x50ff1ee7, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x2507800f, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9c4c3f31, "dev_remove_pack" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x5f33c285, "kernel_sock_shutdown" },
	{ 0x1ed0f226, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xe9e5f121, "skb_push" },
	{ 0x6e778b7c, "dst_cache_get" },
	{ 0x9d4707a2, "sock_no_listen" },
	{ 0x7965889, "nla_put" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1703570a, "iov_iter_kvec" },
	{ 0x3ddfedde, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x491566e9, "kfree_skb_partial" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xca615b0f, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0x683ef4cf, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xcd4b6c03, "setup_udp_tunnel_sock" },
	{ 0x127b13bc, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0xc174579e, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x851c425e, "sock_rfree" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfd13f6d5, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9e34786b, "kernel_listen" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x2a0fd33d, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x848ddfd3, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x36cf2d1f, "dst_cache_set_ip6" },
	{ 0xd7aa06d9, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe5bf3fa8, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcca35d92, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2286e2cc, "skb_copy" },
	{ 0x65177bd2, "skb_clone" },
	{ 0xdf24a2a7, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0x39cf629a, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xcaba8dfd, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xea0a7e42, "sk_stop_timer" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0x4376531b, "genl_unregister_family" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x4436d013, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c7312ae, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3f24bc13, "skb_to_sgvec" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FF03E52B5648E999D223DF8");

MODULE_INFO(suserelease, "SLE15-SP6");
