#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(cryptd_alloc_skcipher, 0xf910c486, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x416f1894, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x4db1336b, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x7572a219, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x58d6d5bd, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x630e98c3, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x4aecd3f4, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x14c0f55b, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0x62a9e253, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x1ed0dfc8, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x81d715b2, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0xfd789033, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x49c7ca87, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2156ae15, "crypto_alloc_skcipher" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x5f37ff79, "crypto_alloc_ahash" },
	{ 0x7d317045, "crypto_alloc_aead" },
	{ 0xd090ba4, "crypto_skcipher_setkey" },
	{ 0x1ef53f94, "crypto_spawn_tfm2" },
	{ 0x4829a47e, "memcpy" },
	{ 0x837640d7, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0xc0f4284f, "crypto_shash_setkey" },
	{ 0x603bbfcc, "crypto_clone_shash" },
	{ 0xd0b91fa0, "crypto_aead_setauthsize" },
	{ 0xdc755710, "crypto_aead_setkey" },
	{ 0x6db70670, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0xa93ae48b, "crypto_grab_shash" },
	{ 0xb8b38e5b, "shash_no_setkey" },
	{ 0xcfc5374, "ahash_register_instance" },
	{ 0x612bc69d, "crypto_grab_skcipher" },
	{ 0x644fa5cc, "skcipher_register_instance" },
	{ 0x71769dc4, "crypto_grab_aead" },
	{ 0x19bb9652, "aead_register_instance" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7f2a8f32, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x99b3af05, "crypto_register_template" },
	{ 0x95875ffe, "crypto_enqueue_request" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x81effb86, "crypto_skcipher_decrypt" },
	{ 0x4300dd09, "crypto_skcipher_encrypt" },
	{ 0x44922f91, "shash_ahash_digest" },
	{ 0x370d5625, "shash_ahash_finup" },
	{ 0x1d7dfd1a, "crypto_shash_final" },
	{ 0xcc4e3c2b, "shash_ahash_update" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFA5D8720A30656DD436895");

MODULE_INFO(suserelease, "SLE15-SP6");
