#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8eb7211f, "set_capacity_and_notify" },
	{ 0x1ddc456b, "filp_open" },
	{ 0xff4c2aa0, "__blk_alloc_disk" },
	{ 0xf3b0f11a, "crypto_comp_decompress" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x924c46f8, "zs_unmap_object" },
	{ 0x69fc74d3, "__bio_add_page" },
	{ 0x20978fb9, "idr_find" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x5fb9dcd1, "blk_queue_logical_block_size" },
	{ 0x8c983155, "crypto_alloc_base" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9466041b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0x96848186, "scnprintf" },
	{ 0x7cceaf92, "zs_pool_stats" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9eeaec1b, "crypto_comp_compress" },
	{ 0x6f21d148, "bio_end_io_acct_remapped" },
	{ 0xcbe56bc2, "zs_get_total_pages" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x77e4f053, "put_disk" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x6121b4eb, "blk_queue_physical_block_size" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x84f6450, "sync_blockdev" },
	{ 0xa71a4bdc, "blk_queue_flag_set" },
	{ 0x9f385d1e, "blkdev_put" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0xd65ee251, "bio_start_io_acct" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x8428b753, "bio_endio" },
	{ 0xed8a2d95, "memset64" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x8adce972, "blkdev_get_by_dev" },
	{ 0x5c10e15a, "set_capacity" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbcf1f0e6, "zs_create_pool" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x1d8f5bcf, "bio_chain" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x6861ab6f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdbd60e69, "del_gendisk" },
	{ 0x4d03dd70, "blk_queue_max_discard_sectors" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xa033d747, "next_arg" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xf3d401ef, "bio_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x958df3ac, "zs_free" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5957cddb, "zs_lookup_class_index" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0xdd64e639, "strscpy" },
	{ 0x5da67adc, "zs_compact" },
	{ 0x834525cb, "blk_queue_max_write_zeroes_sectors" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xec1af24d, "file_path" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x1d35c4c8, "filp_close" },
	{ 0x3025cc3d, "blk_queue_io_min" },
	{ 0xb29533ee, "zs_malloc" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xc69b7ee5, "zs_destroy_pool" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x27864d57, "memparse" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0xae2ba68, "blk_queue_io_opt" },
	{ 0x53b954a2, "up_read" },
	{ 0x7c24c1f1, "submit_bio_wait" },
	{ 0xc4026bc4, "class_register" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xc341ae6d, "zs_map_object" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x2c4978af, "fs_bio_set" },
	{ 0x3d8baf3b, "zs_huge_class_size" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "29E25172EB4BB8E2304E3F8");

MODULE_INFO(suserelease, "SLE15-SP6");
