#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2a64f693, "drm_mode_config_helper_resume" },
	{ 0xaebfdf30, "drm_mode_config_helper_suspend" },
	{ 0x15d24369, "drm_atomic_helper_shutdown" },
	{ 0x27dea7b3, "drm_gem_fb_create" },
	{ 0x68f7625a, "pci_unregister_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xee5c1874, "pci_release_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xf0e52b6b, "drm_dev_unplug" },
	{ 0x257b5235, "drm_dev_put" },
	{ 0x6d73c95f, "logic_outw" },
	{ 0x2e2c4ddc, "logic_inw" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x4c0784e7, "drm_gem_vram_offset" },
	{ 0x5440bbb, "drm_dev_enter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xdca8c3d4, "logic_outb" },
	{ 0x6cdfd52b, "drm_add_edid_modes" },
	{ 0xb0f53925, "drm_add_modes_noedid" },
	{ 0x7973ea34, "drm_set_preferred_mode" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x726fb94, "__pci_register_driver" },
	{ 0xf18300ad, "logic_inb" },
	{ 0xa82d4242, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0xee536fa5, "drm_dev_alloc" },
	{ 0xee28b74a, "pcim_enable_device" },
	{ 0x16439043, "drmm_kmalloc" },
	{ 0x4f5b0022, "pci_request_region" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x85bd1608, "__request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xbb02995d, "drmm_vram_helper_init" },
	{ 0x2f7120b0, "drmm_mode_config_init" },
	{ 0xea549c7a, "drm_connector_init" },
	{ 0x9b9de1c1, "drm_edid_header_is_valid" },
	{ 0x1cbf8f4e, "drm_do_get_edid" },
	{ 0x6be80b36, "drm_simple_display_pipe_init" },
	{ 0x308e1bf3, "drm_mode_config_reset" },
	{ 0x1c9c26be, "drm_dev_register" },
	{ 0x42853f9e, "drm_fbdev_generic_setup" },
	{ 0xc355f448, "drm_connector_attach_edid_property" },
	{ 0xd1d8628e, "drm_connector_update_edid_property" },
	{ 0x19960e27, "drm_vram_mm_debugfs_init" },
	{ 0xdfcf01ce, "drm_gem_vram_driver_dumb_create" },
	{ 0xa4efe8cc, "drm_gem_ttm_dumb_map_offset" },
	{ 0xf8427d89, "drm_vram_helper_mode_valid" },
	{ 0x3373faa1, "drm_atomic_helper_check" },
	{ 0x6cbb135e, "drm_atomic_helper_commit" },
	{ 0x69efcf43, "drm_atomic_helper_connector_reset" },
	{ 0x6982c0eb, "drm_helper_probe_single_connector_modes" },
	{ 0x1b5eee74, "drm_connector_cleanup" },
	{ 0x87a57326, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xfe322cee, "drm_atomic_helper_connector_destroy_state" },
	{ 0xd924cd82, "drm_gem_vram_simple_display_pipe_prepare_fb" },
	{ 0xac5ee229, "drm_gem_vram_simple_display_pipe_cleanup_fb" },
	{ 0xaff0e69d, "noop_llseek" },
	{ 0xf2e18fc9, "drm_read" },
	{ 0x6221522a, "drm_poll" },
	{ 0x6ce376a8, "drm_ioctl" },
	{ 0xb99c7800, "drm_compat_ioctl" },
	{ 0x369d82f3, "drm_gem_mmap" },
	{ 0xf37c7bf8, "drm_open" },
	{ 0xb6c34597, "drm_release" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "drm_vram_helper,drm_ttm_helper");

MODULE_ALIAS("pci:v00001234d00001111sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001234d00001111sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004321d00001111sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "FF723D1DFAD815C41F05258");

MODULE_INFO(suserelease, "SLE15-SP6");
