#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0x5987bc79, "");
SYMBOL_CRC(mult_to_ib_rate, 0x6644920a, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x6c183078, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0x36f91358, "");
SYMBOL_CRC(__ib_alloc_pd, 0xa9f3cfeb, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0xd3b3a6d1, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x126ac5f8, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x103d94d3, "");
SYMBOL_CRC(rdma_move_ah_attr, 0x5eedf716, "");
SYMBOL_CRC(rdma_create_ah, 0xe35860e7, "");
SYMBOL_CRC(rdma_create_user_ah, 0x5b697807, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xa810f7db, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xe6b09bfe, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0x7de1d0dc, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xa7857f7f, "");
SYMBOL_CRC(rdma_modify_ah, 0x3126afc3, "");
SYMBOL_CRC(rdma_query_ah, 0x91b8979b, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x3ef07364, "");
SYMBOL_CRC(ib_create_srq_user, 0x8a1c2dc0, "");
SYMBOL_CRC(ib_modify_srq, 0x940dd96c, "");
SYMBOL_CRC(ib_query_srq, 0xf17baa33, "");
SYMBOL_CRC(ib_destroy_srq_user, 0x72f7ae7e, "");
SYMBOL_CRC(ib_open_qp, 0x0f3ef2a1, "");
SYMBOL_CRC(ib_create_qp_user, 0x7c96f2b8, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x1435c392, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x8b19e983, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x0fb7645b, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0xb7ceb46d, "");
SYMBOL_CRC(ib_get_eth_speed, 0x4c1c030b, "");
SYMBOL_CRC(ib_modify_qp, 0xda9654cf, "");
SYMBOL_CRC(ib_query_qp, 0xf8344b83, "");
SYMBOL_CRC(ib_close_qp, 0x97ac4d40, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x368e84f0, "");
SYMBOL_CRC(__ib_create_cq, 0xdbb96a4b, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x22a33327, "");
SYMBOL_CRC(ib_destroy_cq_user, 0xb98c9bbe, "");
SYMBOL_CRC(ib_resize_cq, 0x7eed30e1, "");
SYMBOL_CRC(ib_reg_user_mr, 0xbea505d2, "");
SYMBOL_CRC(ib_advise_mr, 0x1b8fa97a, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x944ea6dd, "");
SYMBOL_CRC(ib_alloc_mr, 0xf4353d92, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x3705b75a, "");
SYMBOL_CRC(ib_attach_mcast, 0x17fc4ee3, "");
SYMBOL_CRC(ib_detach_mcast, 0x68cc4174, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xf0b6985c, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0x1f824d54, "");
SYMBOL_CRC(ib_create_wq, 0x71675ff7, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x094724b9, "");
SYMBOL_CRC(ib_check_mr_status, 0x191dd93e, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x8f974be6, "");
SYMBOL_CRC(ib_get_vf_config, 0xd3b5535a, "");
SYMBOL_CRC(ib_get_vf_stats, 0xec85c4d5, "");
SYMBOL_CRC(ib_set_vf_guid, 0x22c8582e, "");
SYMBOL_CRC(ib_get_vf_guid, 0x6ae86d4b, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0x2499e0ae, "");
SYMBOL_CRC(ib_map_mr_sg, 0x925e3d03, "");
SYMBOL_CRC(ib_sg_to_pages, 0x0b69310f, "");
SYMBOL_CRC(ib_drain_sq, 0x923a26e8, "");
SYMBOL_CRC(ib_drain_rq, 0x4c9d495e, "");
SYMBOL_CRC(ib_drain_qp, 0xe8f48c28, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x866ece7a, "");
SYMBOL_CRC(rdma_init_netdev, 0x4bbb2ef9, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0x3170cfe8, "");
SYMBOL_CRC(__ib_alloc_cq, 0x7a6cc7e8, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0xea293ceb, "");
SYMBOL_CRC(ib_free_cq, 0xacab608f, "");
SYMBOL_CRC(ib_cq_pool_get, 0xd1a501d9, "");
SYMBOL_CRC(ib_cq_pool_put, 0x9d65f256, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x8e90109b, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0xc2dd0656, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xfb858555, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xf19b95ca, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0x2f6e0c65, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0xf2816696, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0xbfe4dbd5, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0xa8abc380, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x002de3ce, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xb59c98e6, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0xcf47b81e, "");
SYMBOL_CRC(ibdev_printk, 0x9ff5916e, "");
SYMBOL_CRC(ibdev_emerg, 0xa2e90aff, "");
SYMBOL_CRC(ibdev_alert, 0x85e7f64f, "");
SYMBOL_CRC(ibdev_crit, 0xa40a11c3, "");
SYMBOL_CRC(ibdev_err, 0xc764e2e4, "");
SYMBOL_CRC(ibdev_warn, 0x4b71a9e4, "");
SYMBOL_CRC(ibdev_notice, 0xd7ae13ce, "");
SYMBOL_CRC(ibdev_info, 0xd71db7e6, "");
SYMBOL_CRC(ib_device_put, 0x42f07e37, "");
SYMBOL_CRC(ib_device_get_by_name, 0x620874d8, "");
SYMBOL_CRC(_ib_alloc_device, 0xb21b8e47, "");
SYMBOL_CRC(ib_dealloc_device, 0x0bd5eeef, "");
SYMBOL_CRC(ib_port_immutable_read, 0xa3ffd073, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xe895532e, "");
SYMBOL_CRC(ib_register_device, 0xec9fe633, "");
SYMBOL_CRC(ib_unregister_device, 0x93e89241, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0x1476b2a3, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x3a6dd094, "");
SYMBOL_CRC(ib_register_client, 0xb426369d, "");
SYMBOL_CRC(ib_unregister_client, 0x45c551fc, "");
SYMBOL_CRC(ib_set_client_data, 0x0f985f98, "");
SYMBOL_CRC(ib_register_event_handler, 0xe9098c15, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xa15866a6, "");
SYMBOL_CRC(ib_query_port, 0xe5b35805, "");
SYMBOL_CRC(ib_device_set_netdev, 0x6b9fee93, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0x4958eb73, "");
SYMBOL_CRC(ib_query_pkey, 0xc3a045ab, "");
SYMBOL_CRC(ib_modify_device, 0x14ddb5e9, "");
SYMBOL_CRC(ib_modify_port, 0xb13a5e56, "");
SYMBOL_CRC(ib_find_gid, 0x7cd1fe43, "");
SYMBOL_CRC(ib_find_pkey, 0x143ea80e, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xa65d2096, "");
SYMBOL_CRC(ib_set_device_ops, 0x4f6f3596, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x8b30c8d8, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xab5987be, "");
SYMBOL_CRC(rdma_query_gid, 0x3859f9dc, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0xe57f6a57, "");
SYMBOL_CRC(rdma_find_gid, 0x4dd9fa4f, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x0700e089, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0xfc0753ef, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xa2a4df8a, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xfb39b449, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xd8c1104e, "");
SYMBOL_CRC(ib_get_cached_port_state, 0x24cdb4d7, "");
SYMBOL_CRC(rdma_get_gid_attr, 0x06ae1ede, "");
SYMBOL_CRC(rdma_query_gid_table, 0x9f98282c, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xa6239fe5, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x8c79e7a1, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0xf41a0ba6, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x677fd0e2, "");
SYMBOL_CRC(ib_dispatch_event, 0x3ecb2741, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0x0bdf17e2, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0x1abfcaf5, "");
SYMBOL_CRC(ibnl_put_attr, 0x42e4dcd2, "");
SYMBOL_CRC(rdma_nl_unicast, 0xa5f4b1d0, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0x4fc7dc4d, "");
SYMBOL_CRC(rdma_nl_multicast, 0x04688189, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xd47c54fa, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x53688cc1, "");
SYMBOL_CRC(ib_mr_pool_get, 0x4f05ab1e, "");
SYMBOL_CRC(ib_mr_pool_put, 0x0fa7c535, "");
SYMBOL_CRC(ib_mr_pool_init, 0x6a8ee510, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x42df92ff, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x9a2d8781, "");
SYMBOL_CRC(rdma_translate_ip, 0x67455bf8, "");
SYMBOL_CRC(rdma_resolve_ip, 0x856bb1a6, "");
SYMBOL_CRC(rdma_addr_cancel, 0xebc6fa0f, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xe36df71a, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0x735d8540, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xcd01dd5a, "");
SYMBOL_CRC(ib_sa_join_multicast, 0xe12d0350, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x07e6a18d, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0xa42c0e7c, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x761127f0, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0xe9f29256, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x7d1a3644, "");
SYMBOL_CRC(ib_create_send_mad, 0x098aef94, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x6b287c6b, "");
SYMBOL_CRC(ib_free_send_mad, 0xf845d1a9, "");
SYMBOL_CRC(ib_post_send_mad, 0xf544189d, "");
SYMBOL_CRC(ib_free_recv_mad, 0x8f43a280, "");
SYMBOL_CRC(ib_modify_mad, 0x86c348a3, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0x8b6a7edc, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x8a55bf92, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xf1bd0ab1, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0xf0ce6588, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x0d115a3b, "");
SYMBOL_CRC(rdma_nl_get_privileged_qkey, 0x992de6f8, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0x1b8d0462, "");
SYMBOL_CRC(rdma_link_register, 0x11e7d79a, "");
SYMBOL_CRC(rdma_link_unregister, 0x12531191, "");
SYMBOL_CRC(rdma_restrack_count, 0x42c6c611, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x2f15707e, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0x49c0e7ad, "");
SYMBOL_CRC(rdma_restrack_new, 0x2325221a, "");
SYMBOL_CRC(rdma_restrack_add, 0xdab87748, "");
SYMBOL_CRC(rdma_restrack_get, 0x537fec09, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x1a95f7cb, "");
SYMBOL_CRC(rdma_restrack_put, 0x0d6494d1, "");
SYMBOL_CRC(rdma_restrack_del, 0x061be814, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xa994c1d5, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x7e1acb8d, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0x295e64b1, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x2e8a1e80, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0xf7c87b90, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x9cee3d0b, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0xf53520f2, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0x517a09af, "");
SYMBOL_CRC(ib_create_qp_security, 0xea77c100, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xc8de0958, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0xa46682d7, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x3a374954, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xf767ae15, "rdmacg_try_charge" },
	{ 0xc50c088a, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa65c8bbd, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x9c484401, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x72f011d0, "dev_set_name" },
	{ 0x9f06a396, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x546da82c, "__ip_dev_find" },
	{ 0x173ddd0a, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x147e2e06, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0x5cc4fd6e, "kobject_init" },
	{ 0xb3d7e55f, "device_initialize" },
	{ 0x498bba90, "__dynamic_ibdev_dbg" },
	{ 0xf27c7f76, "sysfs_create_groups" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3a8ba680, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1c87284d, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x56055a3a, "__netlink_kernel_create" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0x88391b98, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xafa5b364, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6434bdc7, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6168acdc, "netlink_broadcast_filtered" },
	{ 0xad1bcf9a, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0x4229382d, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xac761154, "put_device" },
	{ 0x9fe25b47, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x1f995097, "netlink_capable" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5d4d184e, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xbf641045, "vlan_dev_real_dev" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe6d5c496, "_dev_err" },
	{ 0xc9f9f474, "init_net" },
	{ 0x2bb796e6, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xbecb9243, "ipv6_stub" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa59468a7, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2507800f, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7965889, "nla_put" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xe41ddf11, "netlink_kernel_release" },
	{ 0x6861ab6f, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcd7c887, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0xafb541ca, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x651216f6, "netdev_get_xmit_slave" },
	{ 0xdcb764ad, "memset" },
	{ 0x11ee1077, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xece784c2, "rb_first" },
	{ 0xf944bd60, "__neigh_event_send" },
	{ 0x1dd41cab, "dev_printk_emit" },
	{ 0x63a531df, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0x24f34726, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xd35f10af, "netdev_walk_all_upper_dev_rcu" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xe11a194f, "__put_net" },
	{ 0xb82e7805, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd626d50d, "neigh_destroy" },
	{ 0x7faf38ce, "kobject_del" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x4c4aa96b, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xc07c7f12, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xdf24a2a7, "dev_get_by_name" },
	{ 0x67730420, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1678be1, "dst_release" },
	{ 0x1ecd30a8, "kobject_uevent" },
	{ 0x7262b3f9, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb305396c, "vlan_dev_vlan_id" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x1db8b897, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x98cf60b3, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8690b2ef, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5a387d70, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0x4376018b, "get_net_ns_by_fd" },
	{ 0xc4026bc4, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2013bf, "kobject_put" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF1EEEB91A8835E33745C61");

MODULE_INFO(suserelease, "SLE15-SP6");
