#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(__tracepoint_bcache_request_start, 0xf865c1a2, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_start, 0x13e5e394, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_start, 0x8ad20d61, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_request_end, 0xfb3d6c67, "_gpl");
SYMBOL_CRC(__traceiter_bcache_request_end, 0x95e4622c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_request_end, 0x80e3881d, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_sequential, 0xe202b8e6, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_sequential, 0x678533fa, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_sequential, 0x0bc0be45, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_bypass_congested, 0xc1857470, "_gpl");
SYMBOL_CRC(__traceiter_bcache_bypass_congested, 0x3cd4ec5f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_bypass_congested, 0x6026e276, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read, 0x0826e917, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read, 0xe9ec0994, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read, 0x9a6f4d9f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_write, 0xbc268695, "_gpl");
SYMBOL_CRC(__traceiter_bcache_write, 0x68b1fc39, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_write, 0x5fd7c423, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_read_retry, 0x7a3c0ac3, "_gpl");
SYMBOL_CRC(__traceiter_bcache_read_retry, 0x944ce291, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_read_retry, 0x15f3de09, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_cache_insert, 0xed37c90e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_cache_insert, 0xb5a62a8c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_cache_insert, 0x5d9c8fc8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_replay_key, 0xb912ae0b, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_replay_key, 0x2766fb04, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_replay_key, 0xf6249e5f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_write, 0xee55d047, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_write, 0xabdfb37b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_write, 0x9ce21c84, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_full, 0x16ea7222, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_full, 0x11556a60, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_full, 0xa64134e4, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_journal_entry_full, 0x53b5e5e3, "_gpl");
SYMBOL_CRC(__traceiter_bcache_journal_entry_full, 0x1608ca84, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_journal_entry_full, 0x1c83d5b7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_cache_cannibalize, 0x862dfa21, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_cache_cannibalize, 0x4aef5fff, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_cache_cannibalize, 0xec92a163, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_read, 0x2909bc5d, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_read, 0x8b8ba8d0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_read, 0x46c66897, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_write, 0x2a0e014e, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_write, 0xdeef6e57, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_write, 0x51d0e534, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc, 0x690dd415, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc, 0x13fd1b2d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc, 0xc8ae4213, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_alloc_fail, 0xa14fdbcf, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_alloc_fail, 0x1383fee4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_alloc_fail, 0xda06fe86, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_free, 0x1c71a406, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_free, 0xed673a8b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_free, 0x6e74dca7, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_gc_coalesce, 0xef7eec02, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_gc_coalesce, 0x1c599ebe, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_gc_coalesce, 0x06bceaa1, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_start, 0x284a6bff, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_start, 0xe41bc416, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_start, 0xe16c06b3, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_end, 0x9865dbc4, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_end, 0x41d129a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_end, 0xba843c3f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy, 0x3257d343, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy, 0xad6440b4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy, 0x181a1930, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_gc_copy_collision, 0x902cb523, "_gpl");
SYMBOL_CRC(__traceiter_bcache_gc_copy_collision, 0xec29e22a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_gc_copy_collision, 0x79eeb380, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_insert_key, 0x5cc8cb86, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_insert_key, 0xe436e1b6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_insert_key, 0xfd6b5d80, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_split, 0x830df522, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_split, 0xebd90f2e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_split, 0x22ae6324, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_node_compact, 0x051b2215, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_node_compact, 0x8fbfceb2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_node_compact, 0x4a2d1241, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_btree_set_root, 0x191717af, "_gpl");
SYMBOL_CRC(__traceiter_bcache_btree_set_root, 0x4a8d2a9e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_btree_set_root, 0x1b083369, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_invalidate, 0xc78d7102, "_gpl");
SYMBOL_CRC(__traceiter_bcache_invalidate, 0xf3b7347d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_invalidate, 0xa842a5c8, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_alloc_fail, 0xce48d6f4, "_gpl");
SYMBOL_CRC(__traceiter_bcache_alloc_fail, 0x7cd8ea46, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_alloc_fail, 0xa187023e, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback, 0x1934a9a9, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback, 0x17a83e40, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback, 0x6697827f, "_gpl");
SYMBOL_CRC(__tracepoint_bcache_writeback_collision, 0x46bfabee, "_gpl");
SYMBOL_CRC(__traceiter_bcache_writeback_collision, 0x64e39418, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bcache_writeback_collision, 0x2af60833, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7ee952d, "bio_associate_blkg" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x145f84ce, "set_disk_ro" },
	{ 0xff4c2aa0, "__blk_alloc_disk" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x69fc74d3, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc008f706, "bpf_trace_run4" },
	{ 0x2efe5cd2, "param_ops_uint" },
	{ 0x5fb9dcd1, "blk_queue_logical_block_size" },
	{ 0xdf2c2742, "rb_last" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd7e56a4e, "simple_strtoll" },
	{ 0xab80c050, "bio_copy_data" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x9f847c0e, "set_blocksize" },
	{ 0xecffb81e, "vmalloc_to_page" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x9466041b, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xe6123c62, "bio_init_clone" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xca9360b5, "rb_next" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x9016047c, "closure_wait" },
	{ 0x5cc4fd6e, "kobject_init" },
	{ 0x6ca74c64, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xe3065caf, "blk_queue_write_cache" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x1145c52, "__module_get" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0x6f21d148, "bio_end_io_acct_remapped" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x1030eecd, "wake_up_process" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xcdc86b55, "sched_clock" },
	{ 0x5113b2b5, "bio_clone_blkg_association" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x77e4f053, "put_disk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xb1f6a797, "fs_kobj" },
	{ 0xa71a4bdc, "blk_queue_flag_set" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x4fe512ab, "unregister_shrinker" },
	{ 0x9f385d1e, "blkdev_put" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0xf9b56dad, "module_put" },
	{ 0xd65ee251, "bio_start_io_acct" },
	{ 0xb2be8461, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd05bfd38, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xc0579e65, "kobject_uevent_env" },
	{ 0x3e93f7e8, "bio_put" },
	{ 0x8428b753, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0x655c2fc4, "__bio_advance" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2bb796e6, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xad31732b, "sysfs_remove_link" },
	{ 0x8adce972, "blkdev_get_by_dev" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5c10e15a, "set_capacity" },
	{ 0xf1fa4dda, "submit_bio_noacct" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x6626afca, "down" },
	{ 0x49f6aeae, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc5ba48a4, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x7c268d7, "blkdev_get_by_path" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xffb7c514, "ida_free" },
	{ 0xf1e046cc, "panic" },
	{ 0xeae9c354, "zero_fill_bio_iter" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdbd60e69, "del_gendisk" },
	{ 0x4d03dd70, "blk_queue_max_discard_sectors" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x7cf60318, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x9cf8924e, "read_cache_page_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0xbb73972f, "bpf_trace_run1" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x187ad56e, "bd_unlink_disk_holder" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf3d401ef, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x890d9216, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0xbf9e248c, "bio_reset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x63a531df, "kobject_create_and_add" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd64cebe5, "bio_free_pages" },
	{ 0xe534973a, "kthread_create_on_node" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xfc9af0f3, "debugfs_create_file" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7faf38ce, "kobject_del" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6a2ea0c, "bioset_init" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7b3e8b4, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb03f637a, "bd_link_disk_holder" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc29bf967, "strspn" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xcdcdfd54, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0xae2ba68, "blk_queue_io_opt" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xca5b4131, "kobject_get" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x7cbd5f9a, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x7bab4b59, "blkdev_issue_discard" },
	{ 0x2013bf, "kobject_put" },
	{ 0x61b7b126, "simple_strtoull" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5835210C02227EBE8B55FBE");

MODULE_INFO(suserelease, "SLE15-SP6");
