#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(raid5_set_cache_size, 0x5cd44df9, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x918c6304, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x145f84ce, "set_disk_ro" },
	{ 0x94fad8cf, "register_md_personality" },
	{ 0x69fc74d3, "__bio_add_page" },
	{ 0x2f3f96ee, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa55dc48d, "md_bitmap_resize" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8c5de57a, "md_find_rdev_rcu" },
	{ 0xdff88b18, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xee0355d4, "md_bitmap_start_sync" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe0800d09, "md_bitmap_cond_end_sync" },
	{ 0xc078586f, "md_error" },
	{ 0xbe34e33b, "async_xor_val_offs" },
	{ 0x5ff1b41f, "__cpu_present_mask" },
	{ 0x15c85de3, "mempool_init" },
	{ 0x6ca74c64, "register_shrinker" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x11d7b96, "md_bitmap_startwrite" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xea4fe274, "md_finish_reshape" },
	{ 0x21c09d11, "__traceiter_block_bio_remap" },
	{ 0x8aa1f8e, "async_gen_syndrome" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x6d9b37a2, "md_unregister_thread" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0xf2b74da3, "sync_page_io" },
	{ 0x37633be0, "md_bitmap_close_sync" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4f8c3132, "md_free_cloned_bio" },
	{ 0xe2964344, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc26b6eb1, "kthread_park" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb7b7fa6e, "node_states" },
	{ 0xc2367be5, "kernfs_notify" },
	{ 0x649d3c3c, "md_wakeup_thread" },
	{ 0xd5a027f2, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3d9ee9f0, "clear_page" },
	{ 0x8821fe28, "md_set_array_sectors" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x1ec90d8f, "md_allow_write" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xc01c992d, "rdev_clear_badblocks" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x9f709ad6, "async_tx_quiesce" },
	{ 0x1d5b6386, "md_write_start" },
	{ 0xa71a4bdc, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xc3762aec, "mempool_alloc" },
	{ 0x4fe512ab, "unregister_shrinker" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0xc9bc35a2, "async_xor" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0xdce8b5d, "async_xor_offs" },
	{ 0xaf5a62ab, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xdbd2aff4, "submit_bio" },
	{ 0x130ca6bf, "blk_queue_flag_clear" },
	{ 0xb2be8461, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf17aaf89, "kthread_unpark" },
	{ 0xd05bfd38, "bioset_exit" },
	{ 0xc92e3151, "md_done_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3e93f7e8, "bio_put" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x8428b753, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x5c08669c, "md_wait_for_blocked_rdev" },
	{ 0xf9a162df, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5fd85fb5, "async_memcpy" },
	{ 0xf1fa4dda, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0x59566403, "mddev_unlock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x80badff4, "__tracepoint_block_unplug" },
	{ 0x1d8f5bcf, "bio_chain" },
	{ 0xce1c264b, "__blk_trace_note_message" },
	{ 0xd30527ba, "__traceiter_block_unplug" },
	{ 0x498d115f, "blkdev_issue_zeroout" },
	{ 0xdc968fc0, "disk_stack_limits" },
	{ 0x4fa2d8f9, "__cpuhp_state_add_instance" },
	{ 0x5d0925a1, "async_trigger_callback" },
	{ 0x4041fe3e, "async_raid6_2data_recov" },
	{ 0x3da80780, "bio_add_page" },
	{ 0xbe63a045, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb7b08c87, "md_update_sb" },
	{ 0x4d03dd70, "blk_queue_max_discard_sectors" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xa828adb1, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x48c093fb, "_atomic_dec_and_lock_irqsave" },
	{ 0x45f6398b, "md_flush_request" },
	{ 0xf3d401ef, "bio_init" },
	{ 0x215193b1, "md_register_thread" },
	{ 0xdcb764ad, "memset" },
	{ 0x890d9216, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xcca7aaaa, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9fc2c34f, "md_account_bio" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6bfbc5d9, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf38d3246, "unregister_md_personality" },
	{ 0x834525cb, "blk_queue_max_write_zeroes_sectors" },
	{ 0xa8af2df7, "md_bitmap_unplug" },
	{ 0xf290fcef, "bio_uninit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xf6a2ea0c, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xf12594d2, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x7933472f, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x3025cc3d, "blk_queue_io_min" },
	{ 0xfe892fa6, "md_check_recovery" },
	{ 0x58323fc5, "md_bitmap_endwrite" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x62a0e546, "blkdev_issue_flush" },
	{ 0xa71b4ee1, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x78c99b5f, "badblocks_check" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x48265595, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x259d2022, "rdev_set_badblocks" },
	{ 0x6c8ca113, "bio_alloc_bioset" },
	{ 0xae2ba68, "blk_queue_io_opt" },
	{ 0xf321d7b8, "async_raid6_datap_recov" },
	{ 0x7c24c1f1, "submit_bio_wait" },
	{ 0x8079e43f, "__cpuhp_remove_state" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x7cbd5f9a, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7bab4b59, "blkdev_issue_discard" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "md-mod,async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq,libcrc32c");


MODULE_INFO(srcversion, "3F0BAF9AFF85D4597E5B23E");

MODULE_INFO(suserelease, "SLE15-SP6");
