#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fat_search_long, 0x69ba5e10, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x71cd85e0, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x572c2ab8, "_gpl");
SYMBOL_CRC(fat_scan, 0xa3601e22, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x8c019181, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xcafd57ee, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x67b2b39c, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xf9442deb, "_gpl");
SYMBOL_CRC(fat_getattr, 0x420427a2, "_gpl");
SYMBOL_CRC(fat_setattr, 0xc7f22664, "_gpl");
SYMBOL_CRC(fat_attach, 0xd6a59bb0, "_gpl");
SYMBOL_CRC(fat_detach, 0x8a185737, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x2c072dab, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x7819b054, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x5685c488, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x6d9fe0df, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xe5671f4f, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x2369d4e9, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x385f33e3, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xcbe7a3be, "_gpl");
SYMBOL_CRC(fat_update_time, 0xba74693f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9eb97a90, "filemap_fdatawrite" },
	{ 0xf0bdd751, "generic_fillattr" },
	{ 0xb014033, "setattr_prepare" },
	{ 0x681d8531, "generic_block_bmap" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x5fef8354, "sync_blockdev_nowait" },
	{ 0x4b33ea71, "make_vfsgid" },
	{ 0x2f3f96ee, "blk_start_plug" },
	{ 0xf7d592a, "clear_inode" },
	{ 0x18794d06, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xdf5f952c, "new_inode" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xe9433b47, "mark_buffer_dirty" },
	{ 0x9eb42f8a, "security_inode_setattr" },
	{ 0x359f9e84, "__find_get_block" },
	{ 0xbb815fd2, "filemap_fdatawrite_range" },
	{ 0xe9ac9d35, "inode_needs_sync" },
	{ 0x8e616e6c, "__blockdev_direct_IO" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0x5d4e1b09, "__bforget" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0xbd659b02, "block_truncate_page" },
	{ 0x8a61c9c2, "write_dirty_buffer" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0x9a0a344a, "fsnotify" },
	{ 0xb43ae197, "current_time" },
	{ 0x4829a47e, "memcpy" },
	{ 0x72b196ab, "from_vfsuid" },
	{ 0x4a7380ff, "inode_dio_wait" },
	{ 0x43861e20, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xf490133e, "cont_write_begin" },
	{ 0xc40efe1d, "iput" },
	{ 0x5eb00f51, "iter_file_splice_write" },
	{ 0xa117ce95, "generic_file_write_iter" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0x61cfe5e7, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa60643ac, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe312deab, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xd423c62b, "block_invalidate_folio" },
	{ 0xe2f7f4bf, "__breadahead" },
	{ 0xae2e69c4, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xdec72df3, "load_nls" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x383a4008, "generic_cont_expand_simple" },
	{ 0xab385d4b, "make_kuid" },
	{ 0x811d18cc, "truncate_inode_pages_final" },
	{ 0x785dca83, "generic_file_mmap" },
	{ 0x6ec4e79f, "sync_mapping_buffers" },
	{ 0xd3f9de68, "ilookup" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x488dcfe0, "invalidate_inode_buffers" },
	{ 0xaf5a62ab, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x776280b6, "mnt_drop_write_file" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x9df6a2da, "compat_ptr_ioctl" },
	{ 0x2e366e9, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x2fff745, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xbb114f0, "generic_file_read_iter" },
	{ 0x77457e02, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xda341498, "truncate_pagecache" },
	{ 0x798ce737, "sync_dirty_buffer" },
	{ 0x3640ce60, "setattr_copy" },
	{ 0x156950be, "__wait_on_buffer" },
	{ 0xe02064ed, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x44afe3aa, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x9c44ba85, "from_vfsgid" },
	{ 0x6c73d4e8, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2b2a3634, "__bread_gfp" },
	{ 0xccf0e131, "block_dirty_folio" },
	{ 0x345d6e8f, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x8ab0229d, "__insert_inode_hash" },
	{ 0x25ba2c7a, "buffer_migrate_folio" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xfe902084, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xaf0cb540, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x38e9d05a, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc7842c84, "igrab" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc81fdc01, "mpage_readahead" },
	{ 0xfafb336, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x5fd7e5ef, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x62a0e546, "blkdev_issue_flush" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xb81f353f, "generic_fh_to_parent" },
	{ 0xfb3754cf, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xa02f33a5, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xaa628a64, "__mark_inode_dirty" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd3afde4c, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x816588dd, "mark_buffer_dirty_inode" },
	{ 0x5a6de504, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x7bab4b59, "blkdev_issue_discard" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E02AF8387D093A97BCA8842");

MODULE_INFO(suserelease, "SLE15-SP6");
