#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x681d8531, "generic_block_bmap" },
	{ 0x72b38212, "flush_dcache_page" },
	{ 0xeb9eef52, "match_uint" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0xa9f9e540, "init_special_inode" },
	{ 0x5d7808a5, "unregister_filesystem" },
	{ 0xe30bbc3e, "d_make_root" },
	{ 0xb99462ca, "sb_set_blocksize" },
	{ 0x448d22c, "sync_filesystem" },
	{ 0xccbe0d07, "d_splice_alias" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc40efe1d, "iput" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0xf51ae896, "register_filesystem" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x2fea0f50, "kill_block_super" },
	{ 0xcfb5d0c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0xdec72df3, "load_nls" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xab385d4b, "make_kuid" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0xc8d32e0d, "inode_init_once" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbd3f5ff4, "cdrom_read_tocentry" },
	{ 0x2fff745, "__brelse" },
	{ 0x2280de9b, "inode_nohighmem" },
	{ 0xe617e4c9, "unlock_page" },
	{ 0x4e3567f7, "match_int" },
	{ 0x3de767d0, "generic_ro_fops" },
	{ 0xa07a37f0, "memchr" },
	{ 0x607f0642, "__bh_read_batch" },
	{ 0x156950be, "__wait_on_buffer" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe02064ed, "set_nlink" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x20d7bb94, "cdrom_multisession" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb320a62a, "d_obtain_alias" },
	{ 0x2b2a3634, "__bread_gfp" },
	{ 0x11089ac7, "_ctype" },
	{ 0x345d6e8f, "mpage_read_folio" },
	{ 0xdcb764ad, "memset" },
	{ 0x47c729b8, "make_kgid" },
	{ 0xfe902084, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e657206, "__getblk_gfp" },
	{ 0x999e8297, "vfree" },
	{ 0x6789bd45, "generic_read_dir" },
	{ 0x83209233, "page_symlink_inode_operations" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7f79c352, "mount_bdev" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc81fdc01, "mpage_readahead" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0x44e9a829, "match_token" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x5f49435d, "pagecache_get_page" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x5a8a3405, "iget5_locked" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1bd84929, "kmem_cache_alloc_lru" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb052203e, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd3afde4c, "unload_nls" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0x5a6de504, "sb_min_blocksize" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5e002032, "iget_failed" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "cdrom");


MODULE_INFO(srcversion, "E2DA8AD4CB7B4C96C8E6E82");

MODULE_INFO(suserelease, "SLE15-SP6");
