#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a35c2e5, "ip_tunnel_header_ops" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x7965889, "nla_put" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8c80216, "unregister_netdevice_queue" },
	{ 0x2a2f04fa, "ip_tunnel_netlink_parms" },
	{ 0x4829a47e, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x930a6d5f, "netdev_state_change" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14a550ea, "ip6_err_gen_icmpv6_unreach" },
	{ 0x504801a6, "ipv4_update_pmtu" },
	{ 0xcffc9db7, "ipv4_redirect" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6fbf542e, "rtnl_link_unregister" },
	{ 0x7bc85662, "xfrm4_tunnel_deregister" },
	{ 0x7be10e45, "unregister_pernet_device" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x92997ed8, "_printk" },
	{ 0x4fa09e12, "register_pernet_device" },
	{ 0x95a5fd7b, "xfrm4_tunnel_register" },
	{ 0xc0fea2bf, "rtnl_link_register" },
	{ 0x14687c42, "dev_addr_mod" },
	{ 0xd7128de6, "register_netdevice" },
	{ 0x4229382d, "alloc_netdev_mqs" },
	{ 0xa916b694, "strnlen" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfc654e8f, "free_netdev" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xce76bbdc, "ip_tunnel_encap_setup" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc9f9f474, "init_net" },
	{ 0x45e47d76, "register_netdev" },
	{ 0xf8721793, "ns_capable" },
	{ 0xd2ea639c, "iptunnel_handle_offloads" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x31e942ac, "ip_tunnel_xmit" },
	{ 0x222f608b, "__iptunnel_pull_header" },
	{ 0x9811bf, "__xfrm_policy_check" },
	{ 0xb0684466, "ip_tunnel_rcv" },
	{ 0xab385d4b, "make_kuid" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0xe1678be1, "dst_release" },
	{ 0xbe06e65, "__dev_get_by_index" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x207ff89b, "ipv6_chk_custom_prefix" },
	{ 0x60804390, "ipv6_chk_prefix" },
	{ 0x683ef4cf, "netif_rx" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0x166f4081, "dst_cache_get_ip4" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa80bda55, "dst_cache_set_ip4" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd626d50d, "neigh_destroy" },
	{ 0xbadc0c12, "skb_realloc_headroom" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0xaeb233b5, "iptun_encaps" },
	{ 0x48449f3, "icmpv6_ndo_send" },
	{ 0xd5927599, "iptunnel_xmit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x21412b08, "ip_tunnel_siocdevprivate" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc6cbbc89, "capable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc257a238, "dev_get_tstats64" },
	{ 0x56d47a71, "ip_tunnel_get_iflink" },
	{ 0xc1f7253d, "ip_tunnel_get_link_net" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "tunnel4");


MODULE_INFO(srcversion, "07F5CC7FCB52378DB079443");

MODULE_INFO(suserelease, "SLE15-SP6");
