#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x5df9988e, "sock_queue_rcv_skb_reason" },
	{ 0x44ec0bd, "sock_i_uid" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0xe106868e, "llc_build_and_send_ui_pkt" },
	{ 0x9c484401, "skb_put" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf6fc95d3, "llc_sap_close" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x18e99bf7, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4c541b2e, "llc_sap_open" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4004f4c5, "put_cmsg" },
	{ 0x19c3178a, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x38f0d4f0, "dev_getfirstbyhwtype" },
	{ 0x4de80b69, "sock_register" },
	{ 0x55638615, "datagram_poll" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8c4111b, "skb_queue_tail" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x1cab4f58, "llc_add_pack" },
	{ 0xc9f9f474, "init_net" },
	{ 0x96e1efbe, "llc_sap_find" },
	{ 0x38b92846, "llc_remove_pack" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0xe9e5f121, "skb_push" },
	{ 0x8385ae5c, "llc_mac_hdr_init" },
	{ 0x52d7b2fd, "llc_sap_list" },
	{ 0xf8721793, "ns_capable" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0xa8215119, "proc_mkdir" },
	{ 0x5a0fd036, "llc_set_station_handler" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xf7a4f389, "sock_efree" },
	{ 0x3cff5b14, "sk_wait_data" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xf993c1b, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x851c425e, "sock_rfree" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x48f27fb6, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0x40f30a47, "seq_printf" },
	{ 0x65177bd2, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xa73726a6, "dev_getbyhwaddr_rcu" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0xcf7d47bd, "proc_create_seq_private" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x3bf1021d, "release_sock" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "llc");


MODULE_INFO(srcversion, "897F2415FE34E0E6B6F7A2A");

MODULE_INFO(suserelease, "SLE15-SP6");
