#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(flow_offload_alloc, 0x302d379f, "_gpl");
SYMBOL_CRC(flow_offload_route_init_1224415, 0xbe910711, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x3ee26043, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xfad9f482, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x8b1e2ac5, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x9427895e, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x8e46fa19, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xe09f26dc, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xd3311cf1, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x4143d42e, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x13c58a99, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0x1d33e225, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x18cef23c, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x52062aab, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xa56ac31e, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x1311e634, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x7d900f29, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0xe0d61843, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc758ed5e, "flow_rule_alloc" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x6402a6d5, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x9250f564, "neigh_xmit" },
	{ 0xd093ffb5, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x6852b74e, "proc_create_net_data" },
	{ 0x4eba4ed0, "pskb_expand_head" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x93ab5fd4, "dev_get_by_index" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xd8d29646, "flow_indr_dev_setup_offload" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x668b19a1, "down_read" },
	{ 0xf4186b29, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd626d50d, "neigh_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3ee33fc1, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xeadcce1e, "remove_proc_entry" },
	{ 0xd789d197, "nf_ct_acct_add" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe1678be1, "dst_release" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x53b954a2, "up_read" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "329E31C1ED3A16A9282F1F4");

MODULE_INFO(suserelease, "SLE15-SP6");
