#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sctp_get_sctp_info, 0x9d21c1ff, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x264996d8, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xc08a4f47, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xfbbeab33, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x2d06dc3a, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b3bf721, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x44ec0bd, "sock_i_uid" },
	{ 0x70d8adcc, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x2f9de88e, "skb_copy_bits" },
	{ 0x3a366810, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x489eb808, "sock_wfree" },
	{ 0x9c484401, "skb_put" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0xff3e7c0b, "__fl6_sock_lookup" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x9f06a396, "ip6_dst_hoplimit" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0x20b6db0d, "inet6_add_offload" },
	{ 0xffe731b6, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc7481900, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x63c78258, "l3mdev_fib_table_by_index" },
	{ 0xb22b2c07, "udp_sock_create4" },
	{ 0x18e99bf7, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc714d35, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x19e5889a, "skb_segment" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0x546da82c, "__ip_dev_find" },
	{ 0x1a3695f6, "udp_tunnel6_xmit_skb" },
	{ 0x936e02d3, "sock_common_getsockopt" },
	{ 0x9abf05fe, "inet_bind" },
	{ 0x1d7d4861, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x1f17a3ba, "fd_install" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x25b5b4dd, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x9811bf, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x36be7a23, "sock_common_setsockopt" },
	{ 0x6691d9, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x48aec53, "kmem_cache_create" },
	{ 0xa3b8c23, "__sk_mem_schedule" },
	{ 0xc3c3a531, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x73d5b501, "sock_alloc_file" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6852b74e, "proc_create_net_data" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7589848, "sk_error_report" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0x4004f4c5, "put_cmsg" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xe6f9d3d9, "inet_sock_destruct" },
	{ 0xf1ee9e44, "crypto_destroy_tfm" },
	{ 0x282ff564, "sock_kmalloc" },
	{ 0x544c44e, "inet_sk_get_local_port_range" },
	{ 0x343e8fa5, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8c4e944, "inet_getname" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xa2532188, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xf1125bd7, "inet_release" },
	{ 0x722757cf, "kmem_cache_alloc" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0x5989ff6c, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x10143583, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xc3e68bb1, "inet_ctl_sock_create" },
	{ 0x4fcf1960, "inet_ioctl" },
	{ 0x6529ae48, "reuseport_add_sock" },
	{ 0x5fb33217, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x319d493d, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xea5f3e53, "sk_filter_trim_cap" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xd871a465, "fput" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0x726d2984, "inet_accept" },
	{ 0xc9f9f474, "init_net" },
	{ 0xc0f4284f, "crypto_shash_setkey" },
	{ 0xd412f1ef, "skb_pull" },
	{ 0x5dc854b6, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe233402f, "inet_add_protocol" },
	{ 0xfb924728, "inet_shutdown" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xfe21542d, "sock_wake_async" },
	{ 0xb4741ef7, "dev_get_by_index_rcu" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa817a8d1, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0xe9e5f121, "skb_push" },
	{ 0xe7919b80, "__ip_queue_xmit" },
	{ 0xd8608097, "kmem_cache_free" },
	{ 0xd8ea511d, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xec2e1c8f, "proc_doulongvec_minmax" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xf8721793, "ns_capable" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe174b9a5, "inet6_ioctl" },
	{ 0x8b545715, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0x4b0a3f52, "gic_nonsecure_priorities" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xf2768516, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xca615b0f, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x17bc0ffd, "__pskb_pull_tail" },
	{ 0xcd4b6c03, "setup_udp_tunnel_sock" },
	{ 0x127b13bc, "udp_sock_create6" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc93c007e, "sk_common_release" },
	{ 0x3f4932e8, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x8fc498f1, "inet6_getname" },
	{ 0xfd13f6d5, "sock_i_ino" },
	{ 0x5e69c5c0, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7dd956e9, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x27d23bef, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8a9b8cbf, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x397a40c1, "__skb_checksum" },
	{ 0x8357d903, "reuseport_alloc" },
	{ 0x995b7512, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x35cff5, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xdc89da2a, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5a8cbaf2, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa21475ef, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0xe5bf3fa8, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x40f30a47, "seq_printf" },
	{ 0xb1e474d1, "proc_create_net_single" },
	{ 0x2286e2cc, "skb_copy" },
	{ 0x65177bd2, "skb_clone" },
	{ 0x9a2badc1, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe1678be1, "dst_release" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x39cf629a, "sock_release" },
	{ 0xa8181adf, "proc_dointvec" },
	{ 0xb9e7c4fb, "seq_puts" },
	{ 0x42b7d1cc, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x8517189e, "_proc_mkdir" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x353c4eee, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4c5a40b1, "send_sig" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x735881a0, "inet6_add_protocol" },
	{ 0x64563cc6, "from_kuid_munged" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xc7ee1088, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x1db8b897, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x64fd10cf, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4d072850, "reuseport_detach_sock" },
	{ 0xf8fd8e83, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x6b7f47, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x5ecd9b70, "kmem_cache_destroy" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5e747245, "skb_queue_head" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "libcrc32c");


MODULE_INFO(srcversion, "E823C5539C6B6836957D4AA");

MODULE_INFO(suserelease, "SLE15-SP6");
