#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(smc_hash_sk, 0xaaf4aebd, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0x5d94cd49, "_gpl");
SYMBOL_CRC(smc_proto, 0xac1cbbb6, "_gpl");
SYMBOL_CRC(smc_proto6, 0xd75a7090, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x8989d6ae, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xf7853b76, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xfb8cae0f, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x99bf1b00, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x22b9a512, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xb3f2d173, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x1b1e06e1, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x88c868c7, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x3153cc92, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xcd9701fe, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x33e07179, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xe7dacb8d, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe5f793ad, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xee55458f, "sk_send_sigurg" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x45c551fc, "ib_unregister_client" },
	{ 0xaff7f91f, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa65c8bbd, "__nlmsg_put" },
	{ 0xdf6b082f, "proc_dointvec_jiffies" },
	{ 0x181416d4, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xecffb81e, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x7d34e632, "trace_raw_output_prep" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x677fd0e2, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa9f3cfeb, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe5486fbd, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x29451a89, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x16a9c2e6, "trace_event_printf" },
	{ 0xce28b1c3, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0xd6b25630, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x653f9a14, "genlmsg_put" },
	{ 0x31b9f769, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x459b9717, "__put_devmap_managed_page_refs" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x944ea6dd, "ib_dereg_mr_user" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x46b586a0, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba6ab5d1, "kernel_accept" },
	{ 0xcf47b81e, "rdma_dev_access_netns" },
	{ 0x1145c52, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x89a25d26, "ip_route_output_flow" },
	{ 0x88391b98, "get_device" },
	{ 0x3aabce8f, "sk_stream_error" },
	{ 0xf8344b83, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9e519d0f, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xce9a73b9, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7589848, "sk_error_report" },
	{ 0x817cc1fb, "register_pernet_subsys" },
	{ 0xac4d7601, "dev_driver_string" },
	{ 0xc779507f, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x2dae9db2, "tcp_abort" },
	{ 0xf41a0ba6, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xa42325d, "dma_map_page_attrs" },
	{ 0xe0334699, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4de80b69, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xac761154, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x605d5bfa, "cache_line_size" },
	{ 0xe9098c15, "ib_register_event_handler" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x9e46c439, "__alloc_skb" },
	{ 0x44e24fcc, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa15866a6, "ib_unregister_event_handler" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0x70257117, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xb426369d, "ib_register_client" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x925e3d03, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd5af947b, "generic_pipe_buf_get" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x57ff0f9c, "perf_trace_run_bpf_submit" },
	{ 0xf985f98, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x8ca224fc, "__traceiter_sk_data_ready" },
	{ 0xc9f9f474, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2507800f, "netlink_unicast" },
	{ 0xa6239fe5, "rdma_put_gid_attr" },
	{ 0x6b26fba2, "kernel_getsockname" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xfe21542d, "sock_wake_async" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x5f33c285, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe5b35805, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x7965889, "nla_put" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xf0ec8246, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x638aff11, "proc_douintvec_minmax" },
	{ 0xa6db9d05, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1703570a, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x3b4b3ec3, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdbb96a4b, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0x368e84f0, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb53d51ac, "unregister_pernet_subsys" },
	{ 0x5c9ace11, "__cpu_possible_mask" },
	{ 0xaf9843a2, "dma_sync_single_for_cpu" },
	{ 0xa777c43, "kernel_connect" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x3cff5b14, "sk_wait_data" },
	{ 0x8263a6d9, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xf4353d92, "ib_alloc_mr" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xb98c9bbe, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xe63bfc68, "skb_trim" },
	{ 0xda9654cf, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6818d004, "tcp_register_ulp" },
	{ 0xc93c007e, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9e34786b, "kernel_listen" },
	{ 0x6da467cb, "pfn_is_map_memory" },
	{ 0x8b30c8d8, "ib_dma_virt_map_sg" },
	{ 0xd626d50d, "neigh_destroy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x43303ec9, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x848ddfd3, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x4a6cbcdd, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe40d1fc, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcca35d92, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf24a2a7, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xe1678be1, "dst_release" },
	{ 0x88708550, "sk_stream_wait_connect" },
	{ 0xb89568b0, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x39cf629a, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfb7645b, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbf78dd07, "netdev_walk_all_lower_dev" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb305396c, "vlan_dev_vlan_id" },
	{ 0xd53c67b3, "unregister_net_sysctl_table" },
	{ 0xd3b3a6d1, "ib_dealloc_pd_user" },
	{ 0x6ae1ede, "rdma_get_gid_attr" },
	{ 0xa6d636ae, "dma_unmap_sg_attrs" },
	{ 0x4376531b, "genl_unregister_family" },
	{ 0xc39cf597, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa57e0fd4, "iov_iter_revert" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x4436d013, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c7312ae, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8992010, "kmalloc_caches" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x14251179, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2cdf87a1, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "1557D933DBEAD4B9E2456BE");

MODULE_INFO(suserelease, "SLE15-SP6");
