#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xc92f7f50, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x7766a008, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0x94f63fdf, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x3509fef9, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0xcd9bdfa0, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x279d8733, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0xb8c9bb88, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0xe8ebdde5, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x84f77d34, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x28f0c427, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x1260bac7, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0xf7d2b693, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0xd103f988, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x8d1027bc, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0x952b2186, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x835584a1, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0x08a5e88a, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0xbc2f67c8, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xe013af00, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0xe4141645, "_gpl");
SYMBOL_CRC(vsock_core_register, 0xf6431f18, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xb3c8616d, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x7523f581, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xf2a032aa, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x30a13c05, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0xb0d7bda7, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x8829fab0, "sock_map_close" },
	{ 0x5df9988e, "sock_queue_rcv_skb_reason" },
	{ 0x9c7ded33, "try_module_get" },
	{ 0x30b53491, "misc_deregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfd9e64bf, "consume_skb" },
	{ 0x8f678b07, "__stack_chk_guard" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x1145c52, "__module_get" },
	{ 0x3aabce8f, "sk_stream_error" },
	{ 0xd8a82af2, "sk_msg_recvmsg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf496101a, "ns_capable_noaudit" },
	{ 0x36e26217, "__put_cred" },
	{ 0x7589848, "sk_error_report" },
	{ 0x19c3178a, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x16da83a7, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4de80b69, "sock_register" },
	{ 0x65ba735b, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x7a05dfa2, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf9b56dad, "module_put" },
	{ 0xf552320c, "sk_msg_is_readable" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe4ee4c56, "sk_free" },
	{ 0xbf976ab1, "kfree_skb_reason" },
	{ 0x1ed0f226, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9d4707a2, "sock_no_listen" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf79df08, "sock_recv_errqueue" },
	{ 0x2f0e6393, "lock_sock_nested" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xa8312c21, "sk_alloc" },
	{ 0x71cf790d, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xe43bc1f1, "misc_register" },
	{ 0x457502f4, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0x89a7a34d, "nonseekable_open" },
	{ 0xbca93eb6, "sk_psock_drop" },
	{ 0xe1719880, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5f4f948d, "init_user_ns" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x65177bd2, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xbdc39497, "sock_no_ioctl" },
	{ 0x6b079231, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x37f8e0d7, "sock_setsockopt" },
	{ 0xde99a4ce, "sock_init_data" },
	{ 0x3bf1021d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd18951cf, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AF44EA36C18EEBE0F2F6630");

MODULE_INFO(suserelease, "SLE15-SP6");
